depends = ('ITKPyBase', 'ITKRegistrationCommon', 'ITKImageFunction', 'ITKImageFrequency', 'ITKFFT', 'ITKConvolution', )
templates = (
  ('Matrix', 'itk::Matrix', 'itkMatrixCD22', False, 'std::complex< double >,2,2'),
  ('Matrix', 'itk::Matrix', 'itkMatrixCF22', False, 'std::complex< float >,2,2'),
  ('Matrix', 'itk::Matrix', 'itkMatrixCD33', False, 'std::complex< double >,3,3'),
  ('Matrix', 'itk::Matrix', 'itkMatrixCF33', False, 'std::complex< float >,3,3'),
  ('VariableSizeMatrix', 'itk::VariableSizeMatrix', 'itkVariableSizeMatrixCD', False, 'std::complex< double >'),
  ('VariableSizeMatrix', 'itk::VariableSizeMatrix', 'itkVariableSizeMatrixCF', False, 'std::complex< float >'),
  ('Image', 'itk::Image', 'itkImageVSM2', False, 'itk::VariableSizeMatrix< double >, 2'),
  ('vector', 'std::vector', 'vectoritkImageVSM2', False, 'itk::Image< itk::VariableSizeMatrix< double >, 2  > '),
  ('Image', 'itk::Image', 'itkImageVSM2', False, 'itk::VariableSizeMatrix< double >, 2'),
  ('vector', 'std::vector', 'vectoritkImageVSM2', False, 'itk::Image< itk::VariableSizeMatrix< double >, 2  > '),
  ('Image', 'itk::Image', 'itkImageVSM3', False, 'itk::VariableSizeMatrix< double >, 3'),
  ('vector', 'std::vector', 'vectoritkImageVSM3', False, 'itk::Image< itk::VariableSizeMatrix< double >, 3  > '),
  ('Image', 'itk::Image', 'itkImageVSM3', False, 'itk::VariableSizeMatrix< double >, 3'),
  ('vector', 'std::vector', 'vectoritkImageVSM3', False, 'itk::Image< itk::VariableSizeMatrix< double >, 3  > '),
  ('Image', 'itk::Image', 'itkImageVSM4', False, 'itk::VariableSizeMatrix< double >, 4'),
  ('vector', 'std::vector', 'vectoritkImageVSM4', False, 'itk::Image< itk::VariableSizeMatrix< double >, 4  > '),
  ('Image', 'itk::Image', 'itkImageVSM4', False, 'itk::VariableSizeMatrix< double >, 4'),
  ('vector', 'std::vector', 'vectoritkImageVSM4', False, 'itk::Image< itk::VariableSizeMatrix< double >, 4  > '),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceVSM2', False, 'itk::Image<itk::VariableSizeMatrix< double >, 2 >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceVSM2', False, 'itk::Image<itk::VariableSizeMatrix< double >, 2 >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceVSM3', False, 'itk::Image<itk::VariableSizeMatrix< double >, 3 >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceVSM3', False, 'itk::Image<itk::VariableSizeMatrix< double >, 3 >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceVSM4', False, 'itk::Image<itk::VariableSizeMatrix< double >, 4 >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceVSM4', False, 'itk::Image<itk::VariableSizeMatrix< double >, 4 >'),
  ('GaussianImageSource', 'itk::GaussianImageSource', 'itkGaussianImageSourceIF2', False, 'itk::Image< float,2 >'),
  ('GaussianImageSource', 'itk::GaussianImageSource', 'itkGaussianImageSourceID2', False, 'itk::Image< double,2 >'),
  ('GaussianImageSource', 'itk::GaussianImageSource', 'itkGaussianImageSourceIF3', False, 'itk::Image< float,3 >'),
  ('GaussianImageSource', 'itk::GaussianImageSource', 'itkGaussianImageSourceID3', False, 'itk::Image< double,3 >'),
  ('GaussianImageSource', 'itk::GaussianImageSource', 'itkGaussianImageSourceIF4', False, 'itk::Image< float,4 >'),
  ('GaussianImageSource', 'itk::GaussianImageSource', 'itkGaussianImageSourceID4', False, 'itk::Image< double,4 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF2VSM2', False, 'itk::Image< float,2 >, itk::Image<itk::VariableSizeMatrix< double >, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterID2VSM2', False, 'itk::Image< double,2 >, itk::Image<itk::VariableSizeMatrix< double >, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF3VSM3', False, 'itk::Image< float,3 >, itk::Image<itk::VariableSizeMatrix< double >, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterID3VSM3', False, 'itk::Image< double,3 >, itk::Image<itk::VariableSizeMatrix< double >, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF4VSM4', False, 'itk::Image< float,4 >, itk::Image<itk::VariableSizeMatrix< double >, 4 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterID4VSM4', False, 'itk::Image< double,4 >, itk::Image<itk::VariableSizeMatrix< double >, 4 >'),
  ('StructureTensorImageFilter', 'itk::StructureTensorImageFilter', 'itkStructureTensorImageFilterIF2VSM2', True, 'itk::Image< float,2 >, itk::Image<itk::VariableSizeMatrix< double >, 2 >'),
  ('StructureTensorImageFilter', 'itk::StructureTensorImageFilter', 'itkStructureTensorImageFilterID2VSM2', True, 'itk::Image< double,2 >, itk::Image<itk::VariableSizeMatrix< double >, 2 >'),
  ('StructureTensorImageFilter', 'itk::StructureTensorImageFilter', 'itkStructureTensorImageFilterIF3VSM3', True, 'itk::Image< float,3 >, itk::Image<itk::VariableSizeMatrix< double >, 3 >'),
  ('StructureTensorImageFilter', 'itk::StructureTensorImageFilter', 'itkStructureTensorImageFilterID3VSM3', True, 'itk::Image< double,3 >, itk::Image<itk::VariableSizeMatrix< double >, 3 >'),
  ('StructureTensorImageFilter', 'itk::StructureTensorImageFilter', 'itkStructureTensorImageFilterIF4VSM4', True, 'itk::Image< float,4 >, itk::Image<itk::VariableSizeMatrix< double >, 4 >'),
  ('StructureTensorImageFilter', 'itk::StructureTensorImageFilter', 'itkStructureTensorImageFilterID4VSM4', True, 'itk::Image< double,4 >, itk::Image<itk::VariableSizeMatrix< double >, 4 >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceVICD2', False, 'itk::VectorImage< std::complex< double >,2 >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceVICF2', False, 'itk::VectorImage< std::complex< float >,2 >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceVICD3', False, 'itk::VectorImage< std::complex< double >,3 >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceVICF3', False, 'itk::VectorImage< std::complex< float >,3 >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceVICD4', False, 'itk::VectorImage< std::complex< double >,4 >'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceVICF4', False, 'itk::VectorImage< std::complex< float >,4 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterICD2VICD2', False, 'itk::Image< std::complex< double >,2 >, itk::VectorImage< std::complex< double >,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterICF2VICF2', False, 'itk::Image< std::complex< float >,2 >, itk::VectorImage< std::complex< float >,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterICD3VICD3', False, 'itk::Image< std::complex< double >,3 >, itk::VectorImage< std::complex< double >,3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterICF3VICF3', False, 'itk::Image< std::complex< float >,3 >, itk::VectorImage< std::complex< float >,3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterICD4VICD4', False, 'itk::Image< std::complex< double >,4 >, itk::VectorImage< std::complex< double >,4 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterICF4VICF4', False, 'itk::Image< std::complex< float >,4 >, itk::VectorImage< std::complex< float >,4 >'),
  ('MonogenicSignalFrequencyImageFilter', 'itk::MonogenicSignalFrequencyImageFilter', 'itkMonogenicSignalFrequencyImageFilterICD2', True, 'itk::Image< std::complex< double >,2 >'),
  ('MonogenicSignalFrequencyImageFilter', 'itk::MonogenicSignalFrequencyImageFilter', 'itkMonogenicSignalFrequencyImageFilterICF2', True, 'itk::Image< std::complex< float >,2 >'),
  ('MonogenicSignalFrequencyImageFilter', 'itk::MonogenicSignalFrequencyImageFilter', 'itkMonogenicSignalFrequencyImageFilterICD3', True, 'itk::Image< std::complex< double >,3 >'),
  ('MonogenicSignalFrequencyImageFilter', 'itk::MonogenicSignalFrequencyImageFilter', 'itkMonogenicSignalFrequencyImageFilterICF3', True, 'itk::Image< std::complex< float >,3 >'),
  ('MonogenicSignalFrequencyImageFilter', 'itk::MonogenicSignalFrequencyImageFilter', 'itkMonogenicSignalFrequencyImageFilterICD4', True, 'itk::Image< std::complex< double >,4 >'),
  ('MonogenicSignalFrequencyImageFilter', 'itk::MonogenicSignalFrequencyImageFilter', 'itkMonogenicSignalFrequencyImageFilterICF4', True, 'itk::Image< std::complex< float >,4 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVICF2VIF2', False, 'itk::VectorImage< std::complex< float >,2 >, itk::VectorImage< float,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVICD2VID2', False, 'itk::VectorImage< std::complex< double >,2 >, itk::VectorImage< double,2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVICF3VIF3', False, 'itk::VectorImage< std::complex< float >,3 >, itk::VectorImage< float,3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVICD3VID3', False, 'itk::VectorImage< std::complex< double >,3 >, itk::VectorImage< double,3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVICF4VIF4', False, 'itk::VectorImage< std::complex< float >,4 >, itk::VectorImage< float,4 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVICD4VID4', False, 'itk::VectorImage< std::complex< double >,4 >, itk::VectorImage< double,4 >'),
  ('VectorInverseFFTImageFilter', 'itk::VectorInverseFFTImageFilter', 'itkVectorInverseFFTImageFilterVICF2VIF2', True, 'itk::VectorImage< std::complex< float >,2 >, itk::VectorImage< float,2 >'),
  ('VectorInverseFFTImageFilter', 'itk::VectorInverseFFTImageFilter', 'itkVectorInverseFFTImageFilterVICD2VID2', True, 'itk::VectorImage< std::complex< double >,2 >, itk::VectorImage< double,2 >'),
  ('VectorInverseFFTImageFilter', 'itk::VectorInverseFFTImageFilter', 'itkVectorInverseFFTImageFilterVICF3VIF3', True, 'itk::VectorImage< std::complex< float >,3 >, itk::VectorImage< float,3 >'),
  ('VectorInverseFFTImageFilter', 'itk::VectorInverseFFTImageFilter', 'itkVectorInverseFFTImageFilterVICD3VID3', True, 'itk::VectorImage< std::complex< double >,3 >, itk::VectorImage< double,3 >'),
  ('VectorInverseFFTImageFilter', 'itk::VectorInverseFFTImageFilter', 'itkVectorInverseFFTImageFilterVICF4VIF4', True, 'itk::VectorImage< std::complex< float >,4 >, itk::VectorImage< float,4 >'),
  ('VectorInverseFFTImageFilter', 'itk::VectorInverseFFTImageFilter', 'itkVectorInverseFFTImageFilterVICD4VID4', True, 'itk::VectorImage< std::complex< double >,4 >, itk::VectorImage< double,4 >'),
  ('ExpandWithZerosImageFilter', 'itk::ExpandWithZerosImageFilter', 'itkExpandWithZerosImageFilterISS2ISS2', True, 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('ExpandWithZerosImageFilter', 'itk::ExpandWithZerosImageFilter', 'itkExpandWithZerosImageFilterISS3ISS3', True, 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('ExpandWithZerosImageFilter', 'itk::ExpandWithZerosImageFilter', 'itkExpandWithZerosImageFilterISS4ISS4', True, 'itk::Image< signed short,4 >, itk::Image< signed short,4 >'),
  ('ExpandWithZerosImageFilter', 'itk::ExpandWithZerosImageFilter', 'itkExpandWithZerosImageFilterIUC2IUC2', True, 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('ExpandWithZerosImageFilter', 'itk::ExpandWithZerosImageFilter', 'itkExpandWithZerosImageFilterIUC3IUC3', True, 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('ExpandWithZerosImageFilter', 'itk::ExpandWithZerosImageFilter', 'itkExpandWithZerosImageFilterIUC4IUC4', True, 'itk::Image< unsigned char,4 >, itk::Image< unsigned char,4 >'),
  ('ExpandWithZerosImageFilter', 'itk::ExpandWithZerosImageFilter', 'itkExpandWithZerosImageFilterIUS2IUS2', True, 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('ExpandWithZerosImageFilter', 'itk::ExpandWithZerosImageFilter', 'itkExpandWithZerosImageFilterIUS3IUS3', True, 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('ExpandWithZerosImageFilter', 'itk::ExpandWithZerosImageFilter', 'itkExpandWithZerosImageFilterIUS4IUS4', True, 'itk::Image< unsigned short,4 >, itk::Image< unsigned short,4 >'),
  ('ExpandWithZerosImageFilter', 'itk::ExpandWithZerosImageFilter', 'itkExpandWithZerosImageFilterIF2IF2', True, 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('ExpandWithZerosImageFilter', 'itk::ExpandWithZerosImageFilter', 'itkExpandWithZerosImageFilterIF3IF3', True, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('ExpandWithZerosImageFilter', 'itk::ExpandWithZerosImageFilter', 'itkExpandWithZerosImageFilterIF4IF4', True, 'itk::Image< float,4 >, itk::Image< float,4 >'),
  ('ExpandWithZerosImageFilter', 'itk::ExpandWithZerosImageFilter', 'itkExpandWithZerosImageFilterID2ID2', True, 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('ExpandWithZerosImageFilter', 'itk::ExpandWithZerosImageFilter', 'itkExpandWithZerosImageFilterID3ID3', True, 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('ExpandWithZerosImageFilter', 'itk::ExpandWithZerosImageFilter', 'itkExpandWithZerosImageFilterID4ID4', True, 'itk::Image< double,4 >, itk::Image< double,4 >'),
  ('FrequencyExpandImageFilter', 'itk::FrequencyExpandImageFilter', 'itkFrequencyExpandImageFilterIF2', True, 'itk::Image< float,2 >'),
  ('FrequencyExpandImageFilter', 'itk::FrequencyExpandImageFilter', 'itkFrequencyExpandImageFilterID2', True, 'itk::Image< double,2 >'),
  ('FrequencyExpandImageFilter', 'itk::FrequencyExpandImageFilter', 'itkFrequencyExpandImageFilterIF3', True, 'itk::Image< float,3 >'),
  ('FrequencyExpandImageFilter', 'itk::FrequencyExpandImageFilter', 'itkFrequencyExpandImageFilterID3', True, 'itk::Image< double,3 >'),
  ('FrequencyExpandImageFilter', 'itk::FrequencyExpandImageFilter', 'itkFrequencyExpandImageFilterIF4', True, 'itk::Image< float,4 >'),
  ('FrequencyExpandImageFilter', 'itk::FrequencyExpandImageFilter', 'itkFrequencyExpandImageFilterID4', True, 'itk::Image< double,4 >'),
  ('FrequencyExpandViaInverseFFTImageFilter', 'itk::FrequencyExpandViaInverseFFTImageFilter', 'itkFrequencyExpandViaInverseFFTImageFilterICD2', True, 'itk::Image< std::complex< double >,2 >'),
  ('FrequencyExpandViaInverseFFTImageFilter', 'itk::FrequencyExpandViaInverseFFTImageFilter', 'itkFrequencyExpandViaInverseFFTImageFilterICF2', True, 'itk::Image< std::complex< float >,2 >'),
  ('FrequencyExpandViaInverseFFTImageFilter', 'itk::FrequencyExpandViaInverseFFTImageFilter', 'itkFrequencyExpandViaInverseFFTImageFilterICD3', True, 'itk::Image< std::complex< double >,3 >'),
  ('FrequencyExpandViaInverseFFTImageFilter', 'itk::FrequencyExpandViaInverseFFTImageFilter', 'itkFrequencyExpandViaInverseFFTImageFilterICF3', True, 'itk::Image< std::complex< float >,3 >'),
  ('FrequencyExpandViaInverseFFTImageFilter', 'itk::FrequencyExpandViaInverseFFTImageFilter', 'itkFrequencyExpandViaInverseFFTImageFilterICD4', True, 'itk::Image< std::complex< double >,4 >'),
  ('FrequencyExpandViaInverseFFTImageFilter', 'itk::FrequencyExpandViaInverseFFTImageFilter', 'itkFrequencyExpandViaInverseFFTImageFilterICF4', True, 'itk::Image< std::complex< float >,4 >'),
  ('FrequencyFunction', 'itk::FrequencyFunction', 'itkFrequencyFunctionF2PD2', True, 'float, 2, itk::Point< double,2 >'),
  ('FrequencyFunction', 'itk::FrequencyFunction', 'itkFrequencyFunctionD2PD2', True, 'double, 2, itk::Point< double,2 >'),
  ('FrequencyFunction', 'itk::FrequencyFunction', 'itkFrequencyFunctionF3PD3', True, 'float, 3, itk::Point< double,3 >'),
  ('FrequencyFunction', 'itk::FrequencyFunction', 'itkFrequencyFunctionD3PD3', True, 'double, 3, itk::Point< double,3 >'),
  ('FrequencyFunction', 'itk::FrequencyFunction', 'itkFrequencyFunctionF4PD4', True, 'float, 4, itk::Point< double,4 >'),
  ('FrequencyFunction', 'itk::FrequencyFunction', 'itkFrequencyFunctionD4PD4', True, 'double, 4, itk::Point< double,4 >'),
  ('FrequencyShrinkImageFilter', 'itk::FrequencyShrinkImageFilter', 'itkFrequencyShrinkImageFilterICD2', True, 'itk::Image< std::complex< double >,2 >'),
  ('FrequencyShrinkImageFilter', 'itk::FrequencyShrinkImageFilter', 'itkFrequencyShrinkImageFilterICF2', True, 'itk::Image< std::complex< float >,2 >'),
  ('FrequencyShrinkImageFilter', 'itk::FrequencyShrinkImageFilter', 'itkFrequencyShrinkImageFilterICD3', True, 'itk::Image< std::complex< double >,3 >'),
  ('FrequencyShrinkImageFilter', 'itk::FrequencyShrinkImageFilter', 'itkFrequencyShrinkImageFilterICF3', True, 'itk::Image< std::complex< float >,3 >'),
  ('FrequencyShrinkImageFilter', 'itk::FrequencyShrinkImageFilter', 'itkFrequencyShrinkImageFilterICD4', True, 'itk::Image< std::complex< double >,4 >'),
  ('FrequencyShrinkImageFilter', 'itk::FrequencyShrinkImageFilter', 'itkFrequencyShrinkImageFilterICF4', True, 'itk::Image< std::complex< float >,4 >'),
  ('FrequencyShrinkViaInverseFFTImageFilter', 'itk::FrequencyShrinkViaInverseFFTImageFilter', 'itkFrequencyShrinkViaInverseFFTImageFilterICD2', True, 'itk::Image< std::complex< double >,2 >'),
  ('FrequencyShrinkViaInverseFFTImageFilter', 'itk::FrequencyShrinkViaInverseFFTImageFilter', 'itkFrequencyShrinkViaInverseFFTImageFilterICF2', True, 'itk::Image< std::complex< float >,2 >'),
  ('FrequencyShrinkViaInverseFFTImageFilter', 'itk::FrequencyShrinkViaInverseFFTImageFilter', 'itkFrequencyShrinkViaInverseFFTImageFilterICD3', True, 'itk::Image< std::complex< double >,3 >'),
  ('FrequencyShrinkViaInverseFFTImageFilter', 'itk::FrequencyShrinkViaInverseFFTImageFilter', 'itkFrequencyShrinkViaInverseFFTImageFilterICF3', True, 'itk::Image< std::complex< float >,3 >'),
  ('FrequencyShrinkViaInverseFFTImageFilter', 'itk::FrequencyShrinkViaInverseFFTImageFilter', 'itkFrequencyShrinkViaInverseFFTImageFilterICD4', True, 'itk::Image< std::complex< double >,4 >'),
  ('FrequencyShrinkViaInverseFFTImageFilter', 'itk::FrequencyShrinkViaInverseFFTImageFilter', 'itkFrequencyShrinkViaInverseFFTImageFilterICF4', True, 'itk::Image< std::complex< float >,4 >'),
  ('HeldIsotropicWavelet', 'itk::HeldIsotropicWavelet', 'itkHeldIsotropicWaveletF2PD2', True, 'float, 2, itk::Point< double,2 >'),
  ('HeldIsotropicWavelet', 'itk::HeldIsotropicWavelet', 'itkHeldIsotropicWaveletD2PD2', True, 'double, 2, itk::Point< double,2 >'),
  ('HeldIsotropicWavelet', 'itk::HeldIsotropicWavelet', 'itkHeldIsotropicWaveletF3PD3', True, 'float, 3, itk::Point< double,3 >'),
  ('HeldIsotropicWavelet', 'itk::HeldIsotropicWavelet', 'itkHeldIsotropicWaveletD3PD3', True, 'double, 3, itk::Point< double,3 >'),
  ('HeldIsotropicWavelet', 'itk::HeldIsotropicWavelet', 'itkHeldIsotropicWaveletF4PD4', True, 'float, 4, itk::Point< double,4 >'),
  ('HeldIsotropicWavelet', 'itk::HeldIsotropicWavelet', 'itkHeldIsotropicWaveletD4PD4', True, 'double, 4, itk::Point< double,4 >'),
  ('IsotropicFrequencyFunction', 'itk::IsotropicFrequencyFunction', 'itkIsotropicFrequencyFunctionF2PD2', True, 'float, 2, itk::Point< double,2 >'),
  ('IsotropicFrequencyFunction', 'itk::IsotropicFrequencyFunction', 'itkIsotropicFrequencyFunctionD2PD2', True, 'double, 2, itk::Point< double,2 >'),
  ('IsotropicFrequencyFunction', 'itk::IsotropicFrequencyFunction', 'itkIsotropicFrequencyFunctionF3PD3', True, 'float, 3, itk::Point< double,3 >'),
  ('IsotropicFrequencyFunction', 'itk::IsotropicFrequencyFunction', 'itkIsotropicFrequencyFunctionD3PD3', True, 'double, 3, itk::Point< double,3 >'),
  ('IsotropicFrequencyFunction', 'itk::IsotropicFrequencyFunction', 'itkIsotropicFrequencyFunctionF4PD4', True, 'float, 4, itk::Point< double,4 >'),
  ('IsotropicFrequencyFunction', 'itk::IsotropicFrequencyFunction', 'itkIsotropicFrequencyFunctionD4PD4', True, 'double, 4, itk::Point< double,4 >'),
  ('IsotropicWaveletFrequencyFunction', 'itk::IsotropicWaveletFrequencyFunction', 'itkIsotropicWaveletFrequencyFunctionF2PD2', True, 'float, 2, itk::Point< double,2 >'),
  ('IsotropicWaveletFrequencyFunction', 'itk::IsotropicWaveletFrequencyFunction', 'itkIsotropicWaveletFrequencyFunctionD2PD2', True, 'double, 2, itk::Point< double,2 >'),
  ('IsotropicWaveletFrequencyFunction', 'itk::IsotropicWaveletFrequencyFunction', 'itkIsotropicWaveletFrequencyFunctionF3PD3', True, 'float, 3, itk::Point< double,3 >'),
  ('IsotropicWaveletFrequencyFunction', 'itk::IsotropicWaveletFrequencyFunction', 'itkIsotropicWaveletFrequencyFunctionD3PD3', True, 'double, 3, itk::Point< double,3 >'),
  ('IsotropicWaveletFrequencyFunction', 'itk::IsotropicWaveletFrequencyFunction', 'itkIsotropicWaveletFrequencyFunctionF4PD4', True, 'float, 4, itk::Point< double,4 >'),
  ('IsotropicWaveletFrequencyFunction', 'itk::IsotropicWaveletFrequencyFunction', 'itkIsotropicWaveletFrequencyFunctionD4PD4', True, 'double, 4, itk::Point< double,4 >'),
  ('IsotropicWaveletsUtilities', 'itk::IsotropicWaveletsUtilities', 'itkIsotropicWaveletsUtilitiesIsotropicWaveletsUtilities', True),
  ('PhaseAnalysisImageFilter', 'itk::PhaseAnalysisImageFilter', 'itkPhaseAnalysisImageFilterVIF2IF2', True, 'itk::VectorImage< float,2 >, itk::Image< float,2 >'),
  ('PhaseAnalysisImageFilter', 'itk::PhaseAnalysisImageFilter', 'itkPhaseAnalysisImageFilterVID2ID2', True, 'itk::VectorImage< double,2 >, itk::Image< double,2 >'),
  ('PhaseAnalysisImageFilter', 'itk::PhaseAnalysisImageFilter', 'itkPhaseAnalysisImageFilterVIF3IF3', True, 'itk::VectorImage< float,3 >, itk::Image< float,3 >'),
  ('PhaseAnalysisImageFilter', 'itk::PhaseAnalysisImageFilter', 'itkPhaseAnalysisImageFilterVID3ID3', True, 'itk::VectorImage< double,3 >, itk::Image< double,3 >'),
  ('PhaseAnalysisImageFilter', 'itk::PhaseAnalysisImageFilter', 'itkPhaseAnalysisImageFilterVIF4IF4', True, 'itk::VectorImage< float,4 >, itk::Image< float,4 >'),
  ('PhaseAnalysisImageFilter', 'itk::PhaseAnalysisImageFilter', 'itkPhaseAnalysisImageFilterVID4ID4', True, 'itk::VectorImage< double,4 >, itk::Image< double,4 >'),
  ('PhaseAnalysisSoftThresholdImageFilter', 'itk::PhaseAnalysisSoftThresholdImageFilter', 'itkPhaseAnalysisSoftThresholdImageFilterVIF2IF2', True, 'itk::VectorImage< float,2 >, itk::Image< float,2 >'),
  ('PhaseAnalysisSoftThresholdImageFilter', 'itk::PhaseAnalysisSoftThresholdImageFilter', 'itkPhaseAnalysisSoftThresholdImageFilterVID2ID2', True, 'itk::VectorImage< double,2 >, itk::Image< double,2 >'),
  ('PhaseAnalysisSoftThresholdImageFilter', 'itk::PhaseAnalysisSoftThresholdImageFilter', 'itkPhaseAnalysisSoftThresholdImageFilterVIF3IF3', True, 'itk::VectorImage< float,3 >, itk::Image< float,3 >'),
  ('PhaseAnalysisSoftThresholdImageFilter', 'itk::PhaseAnalysisSoftThresholdImageFilter', 'itkPhaseAnalysisSoftThresholdImageFilterVID3ID3', True, 'itk::VectorImage< double,3 >, itk::Image< double,3 >'),
  ('PhaseAnalysisSoftThresholdImageFilter', 'itk::PhaseAnalysisSoftThresholdImageFilter', 'itkPhaseAnalysisSoftThresholdImageFilterVIF4IF4', True, 'itk::VectorImage< float,4 >, itk::Image< float,4 >'),
  ('PhaseAnalysisSoftThresholdImageFilter', 'itk::PhaseAnalysisSoftThresholdImageFilter', 'itkPhaseAnalysisSoftThresholdImageFilterVID4ID4', True, 'itk::VectorImage< double,4 >, itk::Image< double,4 >'),
  ('RieszFrequencyFilterBankGenerator', 'itk::RieszFrequencyFilterBankGenerator', 'itkRieszFrequencyFilterBankGeneratorICD2', True, 'itk::Image< std::complex< double >,2 >'),
  ('RieszFrequencyFilterBankGenerator', 'itk::RieszFrequencyFilterBankGenerator', 'itkRieszFrequencyFilterBankGeneratorICF2', True, 'itk::Image< std::complex< float >,2 >'),
  ('RieszFrequencyFilterBankGenerator', 'itk::RieszFrequencyFilterBankGenerator', 'itkRieszFrequencyFilterBankGeneratorICD3', True, 'itk::Image< std::complex< double >,3 >'),
  ('RieszFrequencyFilterBankGenerator', 'itk::RieszFrequencyFilterBankGenerator', 'itkRieszFrequencyFilterBankGeneratorICF3', True, 'itk::Image< std::complex< float >,3 >'),
  ('RieszFrequencyFilterBankGenerator', 'itk::RieszFrequencyFilterBankGenerator', 'itkRieszFrequencyFilterBankGeneratorICD4', True, 'itk::Image< std::complex< double >,4 >'),
  ('RieszFrequencyFilterBankGenerator', 'itk::RieszFrequencyFilterBankGenerator', 'itkRieszFrequencyFilterBankGeneratorICF4', True, 'itk::Image< std::complex< float >,4 >'),
  ('VariableSizeMatrix', 'itk::VariableSizeMatrix', 'itkVariableSizeMatrixCD', False, 'std::complex<double>'),
  ('RieszRotationMatrix', 'itk::RieszRotationMatrix', 'itkRieszRotationMatrix2', True, '2'),
  ('RieszRotationMatrix', 'itk::RieszRotationMatrix', 'itkRieszRotationMatrix3', True, '3'),
  ('RieszRotationMatrix', 'itk::RieszRotationMatrix', 'itkRieszRotationMatrix4', True, '4'),
  ('ShannonIsotropicWavelet', 'itk::ShannonIsotropicWavelet', 'itkShannonIsotropicWaveletF2PD2', True, 'float, 2, itk::Point< double,2 >'),
  ('ShannonIsotropicWavelet', 'itk::ShannonIsotropicWavelet', 'itkShannonIsotropicWaveletD2PD2', True, 'double, 2, itk::Point< double,2 >'),
  ('ShannonIsotropicWavelet', 'itk::ShannonIsotropicWavelet', 'itkShannonIsotropicWaveletF3PD3', True, 'float, 3, itk::Point< double,3 >'),
  ('ShannonIsotropicWavelet', 'itk::ShannonIsotropicWavelet', 'itkShannonIsotropicWaveletD3PD3', True, 'double, 3, itk::Point< double,3 >'),
  ('ShannonIsotropicWavelet', 'itk::ShannonIsotropicWavelet', 'itkShannonIsotropicWaveletF4PD4', True, 'float, 4, itk::Point< double,4 >'),
  ('ShannonIsotropicWavelet', 'itk::ShannonIsotropicWavelet', 'itkShannonIsotropicWaveletD4PD4', True, 'double, 4, itk::Point< double,4 >'),
  ('ShrinkDecimateImageFilter', 'itk::ShrinkDecimateImageFilter', 'itkShrinkDecimateImageFilterISS2ISS2', True, 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('ShrinkDecimateImageFilter', 'itk::ShrinkDecimateImageFilter', 'itkShrinkDecimateImageFilterISS3ISS3', True, 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('ShrinkDecimateImageFilter', 'itk::ShrinkDecimateImageFilter', 'itkShrinkDecimateImageFilterISS4ISS4', True, 'itk::Image< signed short,4 >, itk::Image< signed short,4 >'),
  ('ShrinkDecimateImageFilter', 'itk::ShrinkDecimateImageFilter', 'itkShrinkDecimateImageFilterIUC2IUC2', True, 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('ShrinkDecimateImageFilter', 'itk::ShrinkDecimateImageFilter', 'itkShrinkDecimateImageFilterIUC3IUC3', True, 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('ShrinkDecimateImageFilter', 'itk::ShrinkDecimateImageFilter', 'itkShrinkDecimateImageFilterIUC4IUC4', True, 'itk::Image< unsigned char,4 >, itk::Image< unsigned char,4 >'),
  ('ShrinkDecimateImageFilter', 'itk::ShrinkDecimateImageFilter', 'itkShrinkDecimateImageFilterIUS2IUS2', True, 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('ShrinkDecimateImageFilter', 'itk::ShrinkDecimateImageFilter', 'itkShrinkDecimateImageFilterIUS3IUS3', True, 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('ShrinkDecimateImageFilter', 'itk::ShrinkDecimateImageFilter', 'itkShrinkDecimateImageFilterIUS4IUS4', True, 'itk::Image< unsigned short,4 >, itk::Image< unsigned short,4 >'),
  ('ShrinkDecimateImageFilter', 'itk::ShrinkDecimateImageFilter', 'itkShrinkDecimateImageFilterIF2IF2', True, 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('ShrinkDecimateImageFilter', 'itk::ShrinkDecimateImageFilter', 'itkShrinkDecimateImageFilterIF3IF3', True, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('ShrinkDecimateImageFilter', 'itk::ShrinkDecimateImageFilter', 'itkShrinkDecimateImageFilterIF4IF4', True, 'itk::Image< float,4 >, itk::Image< float,4 >'),
  ('ShrinkDecimateImageFilter', 'itk::ShrinkDecimateImageFilter', 'itkShrinkDecimateImageFilterID2ID2', True, 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('ShrinkDecimateImageFilter', 'itk::ShrinkDecimateImageFilter', 'itkShrinkDecimateImageFilterID3ID3', True, 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('ShrinkDecimateImageFilter', 'itk::ShrinkDecimateImageFilter', 'itkShrinkDecimateImageFilterID4ID4', True, 'itk::Image< double,4 >, itk::Image< double,4 >'),
  ('SimoncelliIsotropicWavelet', 'itk::SimoncelliIsotropicWavelet', 'itkSimoncelliIsotropicWaveletF2PD2', True, 'float, 2, itk::Point< double,2 >'),
  ('SimoncelliIsotropicWavelet', 'itk::SimoncelliIsotropicWavelet', 'itkSimoncelliIsotropicWaveletD2PD2', True, 'double, 2, itk::Point< double,2 >'),
  ('SimoncelliIsotropicWavelet', 'itk::SimoncelliIsotropicWavelet', 'itkSimoncelliIsotropicWaveletF3PD3', True, 'float, 3, itk::Point< double,3 >'),
  ('SimoncelliIsotropicWavelet', 'itk::SimoncelliIsotropicWavelet', 'itkSimoncelliIsotropicWaveletD3PD3', True, 'double, 3, itk::Point< double,3 >'),
  ('SimoncelliIsotropicWavelet', 'itk::SimoncelliIsotropicWavelet', 'itkSimoncelliIsotropicWaveletF4PD4', True, 'float, 4, itk::Point< double,4 >'),
  ('SimoncelliIsotropicWavelet', 'itk::SimoncelliIsotropicWavelet', 'itkSimoncelliIsotropicWaveletD4PD4', True, 'double, 4, itk::Point< double,4 >'),
  ('VowIsotropicWavelet', 'itk::VowIsotropicWavelet', 'itkVowIsotropicWaveletF2PD2', True, 'float, 2, itk::Point< double,2 >'),
  ('VowIsotropicWavelet', 'itk::VowIsotropicWavelet', 'itkVowIsotropicWaveletD2PD2', True, 'double, 2, itk::Point< double,2 >'),
  ('VowIsotropicWavelet', 'itk::VowIsotropicWavelet', 'itkVowIsotropicWaveletF3PD3', True, 'float, 3, itk::Point< double,3 >'),
  ('VowIsotropicWavelet', 'itk::VowIsotropicWavelet', 'itkVowIsotropicWaveletD3PD3', True, 'double, 3, itk::Point< double,3 >'),
  ('VowIsotropicWavelet', 'itk::VowIsotropicWavelet', 'itkVowIsotropicWaveletF4PD4', True, 'float, 4, itk::Point< double,4 >'),
  ('VowIsotropicWavelet', 'itk::VowIsotropicWavelet', 'itkVowIsotropicWaveletD4PD4', True, 'double, 4, itk::Point< double,4 >'),
  ('WaveletFrequencyFilterBankGenerator', 'itk::WaveletFrequencyFilterBankGenerator', 'itkWaveletFrequencyFilterBankGeneratorICD2VowF2PD2', True, 'itk::Image< std::complex< double >,2 >, itk::VowIsotropicWavelet< float, 2, itk::Point< double,2 > >'),
  ('WaveletFrequencyFilterBankGenerator', 'itk::WaveletFrequencyFilterBankGenerator', 'itkWaveletFrequencyFilterBankGeneratorICD2HeldF2PD2', True, 'itk::Image< std::complex< double >,2 >, itk::HeldIsotropicWavelet< float, 2, itk::Point< double,2 > >'),
  ('WaveletFrequencyFilterBankGenerator', 'itk::WaveletFrequencyFilterBankGenerator', 'itkWaveletFrequencyFilterBankGeneratorICD2SimoncelliF2PD2', True, 'itk::Image< std::complex< double >,2 >, itk::SimoncelliIsotropicWavelet< float, 2, itk::Point< double,2 > >'),
  ('WaveletFrequencyFilterBankGenerator', 'itk::WaveletFrequencyFilterBankGenerator', 'itkWaveletFrequencyFilterBankGeneratorICD2ShannonF2PD2', True, 'itk::Image< std::complex< double >,2 >, itk::ShannonIsotropicWavelet< float, 2, itk::Point< double,2 > >'),
  ('WaveletFrequencyFilterBankGenerator', 'itk::WaveletFrequencyFilterBankGenerator', 'itkWaveletFrequencyFilterBankGeneratorICD2VowD2PD2', True, 'itk::Image< std::complex< double >,2 >, itk::VowIsotropicWavelet< double, 2, itk::Point< double,2 > >'),
  ('WaveletFrequencyFilterBankGenerator', 'itk::WaveletFrequencyFilterBankGenerator', 'itkWaveletFrequencyFilterBankGeneratorICD2HeldD2PD2', True, 'itk::Image< std::complex< double >,2 >, itk::HeldIsotropicWavelet< double, 2, itk::Point< double,2 > >'),
  ('WaveletFrequencyFilterBankGenerator', 'itk::WaveletFrequencyFilterBankGenerator', 'itkWaveletFrequencyFilterBankGeneratorICD2SimoncelliD2PD2', True, 'itk::Image< std::complex< double >,2 >, itk::SimoncelliIsotropicWavelet< double, 2, itk::Point< double,2 > >'),
  ('WaveletFrequencyFilterBankGenerator', 'itk::WaveletFrequencyFilterBankGenerator', 'itkWaveletFrequencyFilterBankGeneratorICD2ShannonD2PD2', True, 'itk::Image< std::complex< double >,2 >, itk::ShannonIsotropicWavelet< double, 2, itk::Point< double,2 > >'),
  ('WaveletFrequencyFilterBankGenerator', 'itk::WaveletFrequencyFilterBankGenerator', 'itkWaveletFrequencyFilterBankGeneratorICF2VowF2PD2', True, 'itk::Image< std::complex< float >,2 >, itk::VowIsotropicWavelet< float, 2, itk::Point< double,2 > >'),
  ('WaveletFrequencyFilterBankGenerator', 'itk::WaveletFrequencyFilterBankGenerator', 'itkWaveletFrequencyFilterBankGeneratorICF2HeldF2PD2', True, 'itk::Image< std::complex< float >,2 >, itk::HeldIsotropicWavelet< float, 2, itk::Point< double,2 > >'),
  ('WaveletFrequencyFilterBankGenerator', 'itk::WaveletFrequencyFilterBankGenerator', 'itkWaveletFrequencyFilterBankGeneratorICF2SimoncelliF2PD2', True, 'itk::Image< std::complex< float >,2 >, itk::SimoncelliIsotropicWavelet< float, 2, itk::Point< double,2 > >'),
  ('WaveletFrequencyFilterBankGenerator', 'itk::WaveletFrequencyFilterBankGenerator', 'itkWaveletFrequencyFilterBankGeneratorICF2ShannonF2PD2', True, 'itk::Image< std::complex< float >,2 >, itk::ShannonIsotropicWavelet< float, 2, itk::Point< double,2 > >'),
  ('WaveletFrequencyFilterBankGenerator', 'itk::WaveletFrequencyFilterBankGenerator', 'itkWaveletFrequencyFilterBankGeneratorICF2VowD2PD2', True, 'itk::Image< std::complex< float >,2 >, itk::VowIsotropicWavelet< double, 2, itk::Point< double,2 > >'),
  ('WaveletFrequencyFilterBankGenerator', 'itk::WaveletFrequencyFilterBankGenerator', 'itkWaveletFrequencyFilterBankGeneratorICF2HeldD2PD2', True, 'itk::Image< std::complex< float >,2 >, itk::HeldIsotropicWavelet< double, 2, itk::Point< double,2 > >'),
  ('WaveletFrequencyFilterBankGenerator', 'itk::WaveletFrequencyFilterBankGenerator', 'itkWaveletFrequencyFilterBankGeneratorICF2SimoncelliD2PD2', True, 'itk::Image< std::complex< float >,2 >, itk::SimoncelliIsotropicWavelet< double, 2, itk::Point< double,2 > >'),
  ('WaveletFrequencyFilterBankGenerator', 'itk::WaveletFrequencyFilterBankGenerator', 'itkWaveletFrequencyFilterBankGeneratorICF2ShannonD2PD2', True, 'itk::Image< std::complex< float >,2 >, itk::ShannonIsotropicWavelet< double, 2, itk::Point< double,2 > >'),
  ('WaveletFrequencyFilterBankGenerator', 'itk::WaveletFrequencyFilterBankGenerator', 'itkWaveletFrequencyFilterBankGeneratorICD3VowF3PD3', True, 'itk::Image< std::complex< double >,3 >, itk::VowIsotropicWavelet< float, 3, itk::Point< double,3 > >'),
  ('WaveletFrequencyFilterBankGenerator', 'itk::WaveletFrequencyFilterBankGenerator', 'itkWaveletFrequencyFilterBankGeneratorICD3HeldF3PD3', True, 'itk::Image< std::complex< double >,3 >, itk::HeldIsotropicWavelet< float, 3, itk::Point< double,3 > >'),
  ('WaveletFrequencyFilterBankGenerator', 'itk::WaveletFrequencyFilterBankGenerator', 'itkWaveletFrequencyFilterBankGeneratorICD3SimoncelliF3PD3', True, 'itk::Image< std::complex< double >,3 >, itk::SimoncelliIsotropicWavelet< float, 3, itk::Point< double,3 > >'),
  ('WaveletFrequencyFilterBankGenerator', 'itk::WaveletFrequencyFilterBankGenerator', 'itkWaveletFrequencyFilterBankGeneratorICD3ShannonF3PD3', True, 'itk::Image< std::complex< double >,3 >, itk::ShannonIsotropicWavelet< float, 3, itk::Point< double,3 > >'),
  ('WaveletFrequencyFilterBankGenerator', 'itk::WaveletFrequencyFilterBankGenerator', 'itkWaveletFrequencyFilterBankGeneratorICD3VowD3PD3', True, 'itk::Image< std::complex< double >,3 >, itk::VowIsotropicWavelet< double, 3, itk::Point< double,3 > >'),
  ('WaveletFrequencyFilterBankGenerator', 'itk::WaveletFrequencyFilterBankGenerator', 'itkWaveletFrequencyFilterBankGeneratorICD3HeldD3PD3', True, 'itk::Image< std::complex< double >,3 >, itk::HeldIsotropicWavelet< double, 3, itk::Point< double,3 > >'),
  ('WaveletFrequencyFilterBankGenerator', 'itk::WaveletFrequencyFilterBankGenerator', 'itkWaveletFrequencyFilterBankGeneratorICD3SimoncelliD3PD3', True, 'itk::Image< std::complex< double >,3 >, itk::SimoncelliIsotropicWavelet< double, 3, itk::Point< double,3 > >'),
  ('WaveletFrequencyFilterBankGenerator', 'itk::WaveletFrequencyFilterBankGenerator', 'itkWaveletFrequencyFilterBankGeneratorICD3ShannonD3PD3', True, 'itk::Image< std::complex< double >,3 >, itk::ShannonIsotropicWavelet< double, 3, itk::Point< double,3 > >'),
  ('WaveletFrequencyFilterBankGenerator', 'itk::WaveletFrequencyFilterBankGenerator', 'itkWaveletFrequencyFilterBankGeneratorICF3VowF3PD3', True, 'itk::Image< std::complex< float >,3 >, itk::VowIsotropicWavelet< float, 3, itk::Point< double,3 > >'),
  ('WaveletFrequencyFilterBankGenerator', 'itk::WaveletFrequencyFilterBankGenerator', 'itkWaveletFrequencyFilterBankGeneratorICF3HeldF3PD3', True, 'itk::Image< std::complex< float >,3 >, itk::HeldIsotropicWavelet< float, 3, itk::Point< double,3 > >'),
  ('WaveletFrequencyFilterBankGenerator', 'itk::WaveletFrequencyFilterBankGenerator', 'itkWaveletFrequencyFilterBankGeneratorICF3SimoncelliF3PD3', True, 'itk::Image< std::complex< float >,3 >, itk::SimoncelliIsotropicWavelet< float, 3, itk::Point< double,3 > >'),
  ('WaveletFrequencyFilterBankGenerator', 'itk::WaveletFrequencyFilterBankGenerator', 'itkWaveletFrequencyFilterBankGeneratorICF3ShannonF3PD3', True, 'itk::Image< std::complex< float >,3 >, itk::ShannonIsotropicWavelet< float, 3, itk::Point< double,3 > >'),
  ('WaveletFrequencyFilterBankGenerator', 'itk::WaveletFrequencyFilterBankGenerator', 'itkWaveletFrequencyFilterBankGeneratorICF3VowD3PD3', True, 'itk::Image< std::complex< float >,3 >, itk::VowIsotropicWavelet< double, 3, itk::Point< double,3 > >'),
  ('WaveletFrequencyFilterBankGenerator', 'itk::WaveletFrequencyFilterBankGenerator', 'itkWaveletFrequencyFilterBankGeneratorICF3HeldD3PD3', True, 'itk::Image< std::complex< float >,3 >, itk::HeldIsotropicWavelet< double, 3, itk::Point< double,3 > >'),
  ('WaveletFrequencyFilterBankGenerator', 'itk::WaveletFrequencyFilterBankGenerator', 'itkWaveletFrequencyFilterBankGeneratorICF3SimoncelliD3PD3', True, 'itk::Image< std::complex< float >,3 >, itk::SimoncelliIsotropicWavelet< double, 3, itk::Point< double,3 > >'),
  ('WaveletFrequencyFilterBankGenerator', 'itk::WaveletFrequencyFilterBankGenerator', 'itkWaveletFrequencyFilterBankGeneratorICF3ShannonD3PD3', True, 'itk::Image< std::complex< float >,3 >, itk::ShannonIsotropicWavelet< double, 3, itk::Point< double,3 > >'),
  ('WaveletFrequencyFilterBankGenerator', 'itk::WaveletFrequencyFilterBankGenerator', 'itkWaveletFrequencyFilterBankGeneratorICD4VowF4PD4', True, 'itk::Image< std::complex< double >,4 >, itk::VowIsotropicWavelet< float, 4, itk::Point< double,4 > >'),
  ('WaveletFrequencyFilterBankGenerator', 'itk::WaveletFrequencyFilterBankGenerator', 'itkWaveletFrequencyFilterBankGeneratorICD4HeldF4PD4', True, 'itk::Image< std::complex< double >,4 >, itk::HeldIsotropicWavelet< float, 4, itk::Point< double,4 > >'),
  ('WaveletFrequencyFilterBankGenerator', 'itk::WaveletFrequencyFilterBankGenerator', 'itkWaveletFrequencyFilterBankGeneratorICD4SimoncelliF4PD4', True, 'itk::Image< std::complex< double >,4 >, itk::SimoncelliIsotropicWavelet< float, 4, itk::Point< double,4 > >'),
  ('WaveletFrequencyFilterBankGenerator', 'itk::WaveletFrequencyFilterBankGenerator', 'itkWaveletFrequencyFilterBankGeneratorICD4ShannonF4PD4', True, 'itk::Image< std::complex< double >,4 >, itk::ShannonIsotropicWavelet< float, 4, itk::Point< double,4 > >'),
  ('WaveletFrequencyFilterBankGenerator', 'itk::WaveletFrequencyFilterBankGenerator', 'itkWaveletFrequencyFilterBankGeneratorICD4VowD4PD4', True, 'itk::Image< std::complex< double >,4 >, itk::VowIsotropicWavelet< double, 4, itk::Point< double,4 > >'),
  ('WaveletFrequencyFilterBankGenerator', 'itk::WaveletFrequencyFilterBankGenerator', 'itkWaveletFrequencyFilterBankGeneratorICD4HeldD4PD4', True, 'itk::Image< std::complex< double >,4 >, itk::HeldIsotropicWavelet< double, 4, itk::Point< double,4 > >'),
  ('WaveletFrequencyFilterBankGenerator', 'itk::WaveletFrequencyFilterBankGenerator', 'itkWaveletFrequencyFilterBankGeneratorICD4SimoncelliD4PD4', True, 'itk::Image< std::complex< double >,4 >, itk::SimoncelliIsotropicWavelet< double, 4, itk::Point< double,4 > >'),
  ('WaveletFrequencyFilterBankGenerator', 'itk::WaveletFrequencyFilterBankGenerator', 'itkWaveletFrequencyFilterBankGeneratorICD4ShannonD4PD4', True, 'itk::Image< std::complex< double >,4 >, itk::ShannonIsotropicWavelet< double, 4, itk::Point< double,4 > >'),
  ('WaveletFrequencyFilterBankGenerator', 'itk::WaveletFrequencyFilterBankGenerator', 'itkWaveletFrequencyFilterBankGeneratorICF4VowF4PD4', True, 'itk::Image< std::complex< float >,4 >, itk::VowIsotropicWavelet< float, 4, itk::Point< double,4 > >'),
  ('WaveletFrequencyFilterBankGenerator', 'itk::WaveletFrequencyFilterBankGenerator', 'itkWaveletFrequencyFilterBankGeneratorICF4HeldF4PD4', True, 'itk::Image< std::complex< float >,4 >, itk::HeldIsotropicWavelet< float, 4, itk::Point< double,4 > >'),
  ('WaveletFrequencyFilterBankGenerator', 'itk::WaveletFrequencyFilterBankGenerator', 'itkWaveletFrequencyFilterBankGeneratorICF4SimoncelliF4PD4', True, 'itk::Image< std::complex< float >,4 >, itk::SimoncelliIsotropicWavelet< float, 4, itk::Point< double,4 > >'),
  ('WaveletFrequencyFilterBankGenerator', 'itk::WaveletFrequencyFilterBankGenerator', 'itkWaveletFrequencyFilterBankGeneratorICF4ShannonF4PD4', True, 'itk::Image< std::complex< float >,4 >, itk::ShannonIsotropicWavelet< float, 4, itk::Point< double,4 > >'),
  ('WaveletFrequencyFilterBankGenerator', 'itk::WaveletFrequencyFilterBankGenerator', 'itkWaveletFrequencyFilterBankGeneratorICF4VowD4PD4', True, 'itk::Image< std::complex< float >,4 >, itk::VowIsotropicWavelet< double, 4, itk::Point< double,4 > >'),
  ('WaveletFrequencyFilterBankGenerator', 'itk::WaveletFrequencyFilterBankGenerator', 'itkWaveletFrequencyFilterBankGeneratorICF4HeldD4PD4', True, 'itk::Image< std::complex< float >,4 >, itk::HeldIsotropicWavelet< double, 4, itk::Point< double,4 > >'),
  ('WaveletFrequencyFilterBankGenerator', 'itk::WaveletFrequencyFilterBankGenerator', 'itkWaveletFrequencyFilterBankGeneratorICF4SimoncelliD4PD4', True, 'itk::Image< std::complex< float >,4 >, itk::SimoncelliIsotropicWavelet< double, 4, itk::Point< double,4 > >'),
  ('WaveletFrequencyFilterBankGenerator', 'itk::WaveletFrequencyFilterBankGenerator', 'itkWaveletFrequencyFilterBankGeneratorICF4ShannonD4PD4', True, 'itk::Image< std::complex< float >,4 >, itk::ShannonIsotropicWavelet< double, 4, itk::Point< double,4 > >'),
  ('WaveletFrequencyForward', 'itk::WaveletFrequencyForward', 'itkWaveletFrequencyForwardICD2ICD2VowF2PD2', True, 'itk::Image< std::complex< double >,2 >, itk::Image< std::complex< double >,2 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< double >,2 >, itk::VowIsotropicWavelet< float, 2, itk::Point< double,2 > > >'),
  ('WaveletFrequencyForward', 'itk::WaveletFrequencyForward', 'itkWaveletFrequencyForwardICD2ICD2HeldF2PD2', True, 'itk::Image< std::complex< double >,2 >, itk::Image< std::complex< double >,2 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< double >,2 >, itk::HeldIsotropicWavelet< float, 2, itk::Point< double,2 > > >'),
  ('WaveletFrequencyForward', 'itk::WaveletFrequencyForward', 'itkWaveletFrequencyForwardICD2ICD2SimoncelliF2PD2', True, 'itk::Image< std::complex< double >,2 >, itk::Image< std::complex< double >,2 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< double >,2 >, itk::SimoncelliIsotropicWavelet< float, 2, itk::Point< double,2 > > >'),
  ('WaveletFrequencyForward', 'itk::WaveletFrequencyForward', 'itkWaveletFrequencyForwardICD2ICD2ShannonF2PD2', True, 'itk::Image< std::complex< double >,2 >, itk::Image< std::complex< double >,2 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< double >,2 >, itk::ShannonIsotropicWavelet< float, 2, itk::Point< double,2 > > >'),
  ('WaveletFrequencyForward', 'itk::WaveletFrequencyForward', 'itkWaveletFrequencyForwardICD2ICD2VowD2PD2', True, 'itk::Image< std::complex< double >,2 >, itk::Image< std::complex< double >,2 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< double >,2 >, itk::VowIsotropicWavelet< double, 2, itk::Point< double,2 > > >'),
  ('WaveletFrequencyForward', 'itk::WaveletFrequencyForward', 'itkWaveletFrequencyForwardICD2ICD2HeldD2PD2', True, 'itk::Image< std::complex< double >,2 >, itk::Image< std::complex< double >,2 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< double >,2 >, itk::HeldIsotropicWavelet< double, 2, itk::Point< double,2 > > >'),
  ('WaveletFrequencyForward', 'itk::WaveletFrequencyForward', 'itkWaveletFrequencyForwardICD2ICD2SimoncelliD2PD2', True, 'itk::Image< std::complex< double >,2 >, itk::Image< std::complex< double >,2 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< double >,2 >, itk::SimoncelliIsotropicWavelet< double, 2, itk::Point< double,2 > > >'),
  ('WaveletFrequencyForward', 'itk::WaveletFrequencyForward', 'itkWaveletFrequencyForwardICD2ICD2ShannonD2PD2', True, 'itk::Image< std::complex< double >,2 >, itk::Image< std::complex< double >,2 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< double >,2 >, itk::ShannonIsotropicWavelet< double, 2, itk::Point< double,2 > > >'),
  ('WaveletFrequencyForward', 'itk::WaveletFrequencyForward', 'itkWaveletFrequencyForwardICF2ICF2VowF2PD2', True, 'itk::Image< std::complex< float >,2 >, itk::Image< std::complex< float >,2 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< float >,2 >, itk::VowIsotropicWavelet< float, 2, itk::Point< double,2 > > >'),
  ('WaveletFrequencyForward', 'itk::WaveletFrequencyForward', 'itkWaveletFrequencyForwardICF2ICF2HeldF2PD2', True, 'itk::Image< std::complex< float >,2 >, itk::Image< std::complex< float >,2 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< float >,2 >, itk::HeldIsotropicWavelet< float, 2, itk::Point< double,2 > > >'),
  ('WaveletFrequencyForward', 'itk::WaveletFrequencyForward', 'itkWaveletFrequencyForwardICF2ICF2SimoncelliF2PD2', True, 'itk::Image< std::complex< float >,2 >, itk::Image< std::complex< float >,2 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< float >,2 >, itk::SimoncelliIsotropicWavelet< float, 2, itk::Point< double,2 > > >'),
  ('WaveletFrequencyForward', 'itk::WaveletFrequencyForward', 'itkWaveletFrequencyForwardICF2ICF2ShannonF2PD2', True, 'itk::Image< std::complex< float >,2 >, itk::Image< std::complex< float >,2 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< float >,2 >, itk::ShannonIsotropicWavelet< float, 2, itk::Point< double,2 > > >'),
  ('WaveletFrequencyForward', 'itk::WaveletFrequencyForward', 'itkWaveletFrequencyForwardICF2ICF2VowD2PD2', True, 'itk::Image< std::complex< float >,2 >, itk::Image< std::complex< float >,2 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< float >,2 >, itk::VowIsotropicWavelet< double, 2, itk::Point< double,2 > > >'),
  ('WaveletFrequencyForward', 'itk::WaveletFrequencyForward', 'itkWaveletFrequencyForwardICF2ICF2HeldD2PD2', True, 'itk::Image< std::complex< float >,2 >, itk::Image< std::complex< float >,2 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< float >,2 >, itk::HeldIsotropicWavelet< double, 2, itk::Point< double,2 > > >'),
  ('WaveletFrequencyForward', 'itk::WaveletFrequencyForward', 'itkWaveletFrequencyForwardICF2ICF2SimoncelliD2PD2', True, 'itk::Image< std::complex< float >,2 >, itk::Image< std::complex< float >,2 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< float >,2 >, itk::SimoncelliIsotropicWavelet< double, 2, itk::Point< double,2 > > >'),
  ('WaveletFrequencyForward', 'itk::WaveletFrequencyForward', 'itkWaveletFrequencyForwardICF2ICF2ShannonD2PD2', True, 'itk::Image< std::complex< float >,2 >, itk::Image< std::complex< float >,2 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< float >,2 >, itk::ShannonIsotropicWavelet< double, 2, itk::Point< double,2 > > >'),
  ('WaveletFrequencyForward', 'itk::WaveletFrequencyForward', 'itkWaveletFrequencyForwardICD3ICD3VowF3PD3', True, 'itk::Image< std::complex< double >,3 >, itk::Image< std::complex< double >,3 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< double >,3 >, itk::VowIsotropicWavelet< float, 3, itk::Point< double,3 > > >'),
  ('WaveletFrequencyForward', 'itk::WaveletFrequencyForward', 'itkWaveletFrequencyForwardICD3ICD3HeldF3PD3', True, 'itk::Image< std::complex< double >,3 >, itk::Image< std::complex< double >,3 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< double >,3 >, itk::HeldIsotropicWavelet< float, 3, itk::Point< double,3 > > >'),
  ('WaveletFrequencyForward', 'itk::WaveletFrequencyForward', 'itkWaveletFrequencyForwardICD3ICD3SimoncelliF3PD3', True, 'itk::Image< std::complex< double >,3 >, itk::Image< std::complex< double >,3 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< double >,3 >, itk::SimoncelliIsotropicWavelet< float, 3, itk::Point< double,3 > > >'),
  ('WaveletFrequencyForward', 'itk::WaveletFrequencyForward', 'itkWaveletFrequencyForwardICD3ICD3ShannonF3PD3', True, 'itk::Image< std::complex< double >,3 >, itk::Image< std::complex< double >,3 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< double >,3 >, itk::ShannonIsotropicWavelet< float, 3, itk::Point< double,3 > > >'),
  ('WaveletFrequencyForward', 'itk::WaveletFrequencyForward', 'itkWaveletFrequencyForwardICD3ICD3VowD3PD3', True, 'itk::Image< std::complex< double >,3 >, itk::Image< std::complex< double >,3 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< double >,3 >, itk::VowIsotropicWavelet< double, 3, itk::Point< double,3 > > >'),
  ('WaveletFrequencyForward', 'itk::WaveletFrequencyForward', 'itkWaveletFrequencyForwardICD3ICD3HeldD3PD3', True, 'itk::Image< std::complex< double >,3 >, itk::Image< std::complex< double >,3 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< double >,3 >, itk::HeldIsotropicWavelet< double, 3, itk::Point< double,3 > > >'),
  ('WaveletFrequencyForward', 'itk::WaveletFrequencyForward', 'itkWaveletFrequencyForwardICD3ICD3SimoncelliD3PD3', True, 'itk::Image< std::complex< double >,3 >, itk::Image< std::complex< double >,3 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< double >,3 >, itk::SimoncelliIsotropicWavelet< double, 3, itk::Point< double,3 > > >'),
  ('WaveletFrequencyForward', 'itk::WaveletFrequencyForward', 'itkWaveletFrequencyForwardICD3ICD3ShannonD3PD3', True, 'itk::Image< std::complex< double >,3 >, itk::Image< std::complex< double >,3 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< double >,3 >, itk::ShannonIsotropicWavelet< double, 3, itk::Point< double,3 > > >'),
  ('WaveletFrequencyForward', 'itk::WaveletFrequencyForward', 'itkWaveletFrequencyForwardICF3ICF3VowF3PD3', True, 'itk::Image< std::complex< float >,3 >, itk::Image< std::complex< float >,3 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< float >,3 >, itk::VowIsotropicWavelet< float, 3, itk::Point< double,3 > > >'),
  ('WaveletFrequencyForward', 'itk::WaveletFrequencyForward', 'itkWaveletFrequencyForwardICF3ICF3HeldF3PD3', True, 'itk::Image< std::complex< float >,3 >, itk::Image< std::complex< float >,3 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< float >,3 >, itk::HeldIsotropicWavelet< float, 3, itk::Point< double,3 > > >'),
  ('WaveletFrequencyForward', 'itk::WaveletFrequencyForward', 'itkWaveletFrequencyForwardICF3ICF3SimoncelliF3PD3', True, 'itk::Image< std::complex< float >,3 >, itk::Image< std::complex< float >,3 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< float >,3 >, itk::SimoncelliIsotropicWavelet< float, 3, itk::Point< double,3 > > >'),
  ('WaveletFrequencyForward', 'itk::WaveletFrequencyForward', 'itkWaveletFrequencyForwardICF3ICF3ShannonF3PD3', True, 'itk::Image< std::complex< float >,3 >, itk::Image< std::complex< float >,3 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< float >,3 >, itk::ShannonIsotropicWavelet< float, 3, itk::Point< double,3 > > >'),
  ('WaveletFrequencyForward', 'itk::WaveletFrequencyForward', 'itkWaveletFrequencyForwardICF3ICF3VowD3PD3', True, 'itk::Image< std::complex< float >,3 >, itk::Image< std::complex< float >,3 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< float >,3 >, itk::VowIsotropicWavelet< double, 3, itk::Point< double,3 > > >'),
  ('WaveletFrequencyForward', 'itk::WaveletFrequencyForward', 'itkWaveletFrequencyForwardICF3ICF3HeldD3PD3', True, 'itk::Image< std::complex< float >,3 >, itk::Image< std::complex< float >,3 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< float >,3 >, itk::HeldIsotropicWavelet< double, 3, itk::Point< double,3 > > >'),
  ('WaveletFrequencyForward', 'itk::WaveletFrequencyForward', 'itkWaveletFrequencyForwardICF3ICF3SimoncelliD3PD3', True, 'itk::Image< std::complex< float >,3 >, itk::Image< std::complex< float >,3 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< float >,3 >, itk::SimoncelliIsotropicWavelet< double, 3, itk::Point< double,3 > > >'),
  ('WaveletFrequencyForward', 'itk::WaveletFrequencyForward', 'itkWaveletFrequencyForwardICF3ICF3ShannonD3PD3', True, 'itk::Image< std::complex< float >,3 >, itk::Image< std::complex< float >,3 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< float >,3 >, itk::ShannonIsotropicWavelet< double, 3, itk::Point< double,3 > > >'),
  ('WaveletFrequencyForward', 'itk::WaveletFrequencyForward', 'itkWaveletFrequencyForwardICD4ICD4VowF4PD4', True, 'itk::Image< std::complex< double >,4 >, itk::Image< std::complex< double >,4 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< double >,4 >, itk::VowIsotropicWavelet< float, 4, itk::Point< double,4 > > >'),
  ('WaveletFrequencyForward', 'itk::WaveletFrequencyForward', 'itkWaveletFrequencyForwardICD4ICD4HeldF4PD4', True, 'itk::Image< std::complex< double >,4 >, itk::Image< std::complex< double >,4 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< double >,4 >, itk::HeldIsotropicWavelet< float, 4, itk::Point< double,4 > > >'),
  ('WaveletFrequencyForward', 'itk::WaveletFrequencyForward', 'itkWaveletFrequencyForwardICD4ICD4SimoncelliF4PD4', True, 'itk::Image< std::complex< double >,4 >, itk::Image< std::complex< double >,4 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< double >,4 >, itk::SimoncelliIsotropicWavelet< float, 4, itk::Point< double,4 > > >'),
  ('WaveletFrequencyForward', 'itk::WaveletFrequencyForward', 'itkWaveletFrequencyForwardICD4ICD4ShannonF4PD4', True, 'itk::Image< std::complex< double >,4 >, itk::Image< std::complex< double >,4 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< double >,4 >, itk::ShannonIsotropicWavelet< float, 4, itk::Point< double,4 > > >'),
  ('WaveletFrequencyForward', 'itk::WaveletFrequencyForward', 'itkWaveletFrequencyForwardICD4ICD4VowD4PD4', True, 'itk::Image< std::complex< double >,4 >, itk::Image< std::complex< double >,4 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< double >,4 >, itk::VowIsotropicWavelet< double, 4, itk::Point< double,4 > > >'),
  ('WaveletFrequencyForward', 'itk::WaveletFrequencyForward', 'itkWaveletFrequencyForwardICD4ICD4HeldD4PD4', True, 'itk::Image< std::complex< double >,4 >, itk::Image< std::complex< double >,4 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< double >,4 >, itk::HeldIsotropicWavelet< double, 4, itk::Point< double,4 > > >'),
  ('WaveletFrequencyForward', 'itk::WaveletFrequencyForward', 'itkWaveletFrequencyForwardICD4ICD4SimoncelliD4PD4', True, 'itk::Image< std::complex< double >,4 >, itk::Image< std::complex< double >,4 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< double >,4 >, itk::SimoncelliIsotropicWavelet< double, 4, itk::Point< double,4 > > >'),
  ('WaveletFrequencyForward', 'itk::WaveletFrequencyForward', 'itkWaveletFrequencyForwardICD4ICD4ShannonD4PD4', True, 'itk::Image< std::complex< double >,4 >, itk::Image< std::complex< double >,4 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< double >,4 >, itk::ShannonIsotropicWavelet< double, 4, itk::Point< double,4 > > >'),
  ('WaveletFrequencyForward', 'itk::WaveletFrequencyForward', 'itkWaveletFrequencyForwardICF4ICF4VowF4PD4', True, 'itk::Image< std::complex< float >,4 >, itk::Image< std::complex< float >,4 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< float >,4 >, itk::VowIsotropicWavelet< float, 4, itk::Point< double,4 > > >'),
  ('WaveletFrequencyForward', 'itk::WaveletFrequencyForward', 'itkWaveletFrequencyForwardICF4ICF4HeldF4PD4', True, 'itk::Image< std::complex< float >,4 >, itk::Image< std::complex< float >,4 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< float >,4 >, itk::HeldIsotropicWavelet< float, 4, itk::Point< double,4 > > >'),
  ('WaveletFrequencyForward', 'itk::WaveletFrequencyForward', 'itkWaveletFrequencyForwardICF4ICF4SimoncelliF4PD4', True, 'itk::Image< std::complex< float >,4 >, itk::Image< std::complex< float >,4 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< float >,4 >, itk::SimoncelliIsotropicWavelet< float, 4, itk::Point< double,4 > > >'),
  ('WaveletFrequencyForward', 'itk::WaveletFrequencyForward', 'itkWaveletFrequencyForwardICF4ICF4ShannonF4PD4', True, 'itk::Image< std::complex< float >,4 >, itk::Image< std::complex< float >,4 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< float >,4 >, itk::ShannonIsotropicWavelet< float, 4, itk::Point< double,4 > > >'),
  ('WaveletFrequencyForward', 'itk::WaveletFrequencyForward', 'itkWaveletFrequencyForwardICF4ICF4VowD4PD4', True, 'itk::Image< std::complex< float >,4 >, itk::Image< std::complex< float >,4 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< float >,4 >, itk::VowIsotropicWavelet< double, 4, itk::Point< double,4 > > >'),
  ('WaveletFrequencyForward', 'itk::WaveletFrequencyForward', 'itkWaveletFrequencyForwardICF4ICF4HeldD4PD4', True, 'itk::Image< std::complex< float >,4 >, itk::Image< std::complex< float >,4 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< float >,4 >, itk::HeldIsotropicWavelet< double, 4, itk::Point< double,4 > > >'),
  ('WaveletFrequencyForward', 'itk::WaveletFrequencyForward', 'itkWaveletFrequencyForwardICF4ICF4SimoncelliD4PD4', True, 'itk::Image< std::complex< float >,4 >, itk::Image< std::complex< float >,4 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< float >,4 >, itk::SimoncelliIsotropicWavelet< double, 4, itk::Point< double,4 > > >'),
  ('WaveletFrequencyForward', 'itk::WaveletFrequencyForward', 'itkWaveletFrequencyForwardICF4ICF4ShannonD4PD4', True, 'itk::Image< std::complex< float >,4 >, itk::Image< std::complex< float >,4 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< float >,4 >, itk::ShannonIsotropicWavelet< double, 4, itk::Point< double,4 > > >'),
  ('WaveletFrequencyForwardUndecimated', 'itk::WaveletFrequencyForwardUndecimated', 'itkWaveletFrequencyForwardUndecimatedICD2ICD2VowF2PD2', True, 'itk::Image< std::complex< double >,2 >, itk::Image< std::complex< double >,2 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< double >,2 >, itk::VowIsotropicWavelet< float, 2, itk::Point< double,2 > > >'),
  ('WaveletFrequencyForwardUndecimated', 'itk::WaveletFrequencyForwardUndecimated', 'itkWaveletFrequencyForwardUndecimatedICD2ICD2HeldF2PD2', True, 'itk::Image< std::complex< double >,2 >, itk::Image< std::complex< double >,2 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< double >,2 >, itk::HeldIsotropicWavelet< float, 2, itk::Point< double,2 > > >'),
  ('WaveletFrequencyForwardUndecimated', 'itk::WaveletFrequencyForwardUndecimated', 'itkWaveletFrequencyForwardUndecimatedICD2ICD2SimoncelliF2PD2', True, 'itk::Image< std::complex< double >,2 >, itk::Image< std::complex< double >,2 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< double >,2 >, itk::SimoncelliIsotropicWavelet< float, 2, itk::Point< double,2 > > >'),
  ('WaveletFrequencyForwardUndecimated', 'itk::WaveletFrequencyForwardUndecimated', 'itkWaveletFrequencyForwardUndecimatedICD2ICD2ShannonF2PD2', True, 'itk::Image< std::complex< double >,2 >, itk::Image< std::complex< double >,2 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< double >,2 >, itk::ShannonIsotropicWavelet< float, 2, itk::Point< double,2 > > >'),
  ('WaveletFrequencyForwardUndecimated', 'itk::WaveletFrequencyForwardUndecimated', 'itkWaveletFrequencyForwardUndecimatedICD2ICD2VowD2PD2', True, 'itk::Image< std::complex< double >,2 >, itk::Image< std::complex< double >,2 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< double >,2 >, itk::VowIsotropicWavelet< double, 2, itk::Point< double,2 > > >'),
  ('WaveletFrequencyForwardUndecimated', 'itk::WaveletFrequencyForwardUndecimated', 'itkWaveletFrequencyForwardUndecimatedICD2ICD2HeldD2PD2', True, 'itk::Image< std::complex< double >,2 >, itk::Image< std::complex< double >,2 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< double >,2 >, itk::HeldIsotropicWavelet< double, 2, itk::Point< double,2 > > >'),
  ('WaveletFrequencyForwardUndecimated', 'itk::WaveletFrequencyForwardUndecimated', 'itkWaveletFrequencyForwardUndecimatedICD2ICD2SimoncelliD2PD2', True, 'itk::Image< std::complex< double >,2 >, itk::Image< std::complex< double >,2 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< double >,2 >, itk::SimoncelliIsotropicWavelet< double, 2, itk::Point< double,2 > > >'),
  ('WaveletFrequencyForwardUndecimated', 'itk::WaveletFrequencyForwardUndecimated', 'itkWaveletFrequencyForwardUndecimatedICD2ICD2ShannonD2PD2', True, 'itk::Image< std::complex< double >,2 >, itk::Image< std::complex< double >,2 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< double >,2 >, itk::ShannonIsotropicWavelet< double, 2, itk::Point< double,2 > > >'),
  ('WaveletFrequencyForwardUndecimated', 'itk::WaveletFrequencyForwardUndecimated', 'itkWaveletFrequencyForwardUndecimatedICF2ICF2VowF2PD2', True, 'itk::Image< std::complex< float >,2 >, itk::Image< std::complex< float >,2 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< float >,2 >, itk::VowIsotropicWavelet< float, 2, itk::Point< double,2 > > >'),
  ('WaveletFrequencyForwardUndecimated', 'itk::WaveletFrequencyForwardUndecimated', 'itkWaveletFrequencyForwardUndecimatedICF2ICF2HeldF2PD2', True, 'itk::Image< std::complex< float >,2 >, itk::Image< std::complex< float >,2 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< float >,2 >, itk::HeldIsotropicWavelet< float, 2, itk::Point< double,2 > > >'),
  ('WaveletFrequencyForwardUndecimated', 'itk::WaveletFrequencyForwardUndecimated', 'itkWaveletFrequencyForwardUndecimatedICF2ICF2SimoncelliF2PD2', True, 'itk::Image< std::complex< float >,2 >, itk::Image< std::complex< float >,2 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< float >,2 >, itk::SimoncelliIsotropicWavelet< float, 2, itk::Point< double,2 > > >'),
  ('WaveletFrequencyForwardUndecimated', 'itk::WaveletFrequencyForwardUndecimated', 'itkWaveletFrequencyForwardUndecimatedICF2ICF2ShannonF2PD2', True, 'itk::Image< std::complex< float >,2 >, itk::Image< std::complex< float >,2 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< float >,2 >, itk::ShannonIsotropicWavelet< float, 2, itk::Point< double,2 > > >'),
  ('WaveletFrequencyForwardUndecimated', 'itk::WaveletFrequencyForwardUndecimated', 'itkWaveletFrequencyForwardUndecimatedICF2ICF2VowD2PD2', True, 'itk::Image< std::complex< float >,2 >, itk::Image< std::complex< float >,2 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< float >,2 >, itk::VowIsotropicWavelet< double, 2, itk::Point< double,2 > > >'),
  ('WaveletFrequencyForwardUndecimated', 'itk::WaveletFrequencyForwardUndecimated', 'itkWaveletFrequencyForwardUndecimatedICF2ICF2HeldD2PD2', True, 'itk::Image< std::complex< float >,2 >, itk::Image< std::complex< float >,2 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< float >,2 >, itk::HeldIsotropicWavelet< double, 2, itk::Point< double,2 > > >'),
  ('WaveletFrequencyForwardUndecimated', 'itk::WaveletFrequencyForwardUndecimated', 'itkWaveletFrequencyForwardUndecimatedICF2ICF2SimoncelliD2PD2', True, 'itk::Image< std::complex< float >,2 >, itk::Image< std::complex< float >,2 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< float >,2 >, itk::SimoncelliIsotropicWavelet< double, 2, itk::Point< double,2 > > >'),
  ('WaveletFrequencyForwardUndecimated', 'itk::WaveletFrequencyForwardUndecimated', 'itkWaveletFrequencyForwardUndecimatedICF2ICF2ShannonD2PD2', True, 'itk::Image< std::complex< float >,2 >, itk::Image< std::complex< float >,2 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< float >,2 >, itk::ShannonIsotropicWavelet< double, 2, itk::Point< double,2 > > >'),
  ('WaveletFrequencyForwardUndecimated', 'itk::WaveletFrequencyForwardUndecimated', 'itkWaveletFrequencyForwardUndecimatedICD3ICD3VowF3PD3', True, 'itk::Image< std::complex< double >,3 >, itk::Image< std::complex< double >,3 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< double >,3 >, itk::VowIsotropicWavelet< float, 3, itk::Point< double,3 > > >'),
  ('WaveletFrequencyForwardUndecimated', 'itk::WaveletFrequencyForwardUndecimated', 'itkWaveletFrequencyForwardUndecimatedICD3ICD3HeldF3PD3', True, 'itk::Image< std::complex< double >,3 >, itk::Image< std::complex< double >,3 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< double >,3 >, itk::HeldIsotropicWavelet< float, 3, itk::Point< double,3 > > >'),
  ('WaveletFrequencyForwardUndecimated', 'itk::WaveletFrequencyForwardUndecimated', 'itkWaveletFrequencyForwardUndecimatedICD3ICD3SimoncelliF3PD3', True, 'itk::Image< std::complex< double >,3 >, itk::Image< std::complex< double >,3 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< double >,3 >, itk::SimoncelliIsotropicWavelet< float, 3, itk::Point< double,3 > > >'),
  ('WaveletFrequencyForwardUndecimated', 'itk::WaveletFrequencyForwardUndecimated', 'itkWaveletFrequencyForwardUndecimatedICD3ICD3ShannonF3PD3', True, 'itk::Image< std::complex< double >,3 >, itk::Image< std::complex< double >,3 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< double >,3 >, itk::ShannonIsotropicWavelet< float, 3, itk::Point< double,3 > > >'),
  ('WaveletFrequencyForwardUndecimated', 'itk::WaveletFrequencyForwardUndecimated', 'itkWaveletFrequencyForwardUndecimatedICD3ICD3VowD3PD3', True, 'itk::Image< std::complex< double >,3 >, itk::Image< std::complex< double >,3 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< double >,3 >, itk::VowIsotropicWavelet< double, 3, itk::Point< double,3 > > >'),
  ('WaveletFrequencyForwardUndecimated', 'itk::WaveletFrequencyForwardUndecimated', 'itkWaveletFrequencyForwardUndecimatedICD3ICD3HeldD3PD3', True, 'itk::Image< std::complex< double >,3 >, itk::Image< std::complex< double >,3 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< double >,3 >, itk::HeldIsotropicWavelet< double, 3, itk::Point< double,3 > > >'),
  ('WaveletFrequencyForwardUndecimated', 'itk::WaveletFrequencyForwardUndecimated', 'itkWaveletFrequencyForwardUndecimatedICD3ICD3SimoncelliD3PD3', True, 'itk::Image< std::complex< double >,3 >, itk::Image< std::complex< double >,3 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< double >,3 >, itk::SimoncelliIsotropicWavelet< double, 3, itk::Point< double,3 > > >'),
  ('WaveletFrequencyForwardUndecimated', 'itk::WaveletFrequencyForwardUndecimated', 'itkWaveletFrequencyForwardUndecimatedICD3ICD3ShannonD3PD3', True, 'itk::Image< std::complex< double >,3 >, itk::Image< std::complex< double >,3 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< double >,3 >, itk::ShannonIsotropicWavelet< double, 3, itk::Point< double,3 > > >'),
  ('WaveletFrequencyForwardUndecimated', 'itk::WaveletFrequencyForwardUndecimated', 'itkWaveletFrequencyForwardUndecimatedICF3ICF3VowF3PD3', True, 'itk::Image< std::complex< float >,3 >, itk::Image< std::complex< float >,3 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< float >,3 >, itk::VowIsotropicWavelet< float, 3, itk::Point< double,3 > > >'),
  ('WaveletFrequencyForwardUndecimated', 'itk::WaveletFrequencyForwardUndecimated', 'itkWaveletFrequencyForwardUndecimatedICF3ICF3HeldF3PD3', True, 'itk::Image< std::complex< float >,3 >, itk::Image< std::complex< float >,3 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< float >,3 >, itk::HeldIsotropicWavelet< float, 3, itk::Point< double,3 > > >'),
  ('WaveletFrequencyForwardUndecimated', 'itk::WaveletFrequencyForwardUndecimated', 'itkWaveletFrequencyForwardUndecimatedICF3ICF3SimoncelliF3PD3', True, 'itk::Image< std::complex< float >,3 >, itk::Image< std::complex< float >,3 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< float >,3 >, itk::SimoncelliIsotropicWavelet< float, 3, itk::Point< double,3 > > >'),
  ('WaveletFrequencyForwardUndecimated', 'itk::WaveletFrequencyForwardUndecimated', 'itkWaveletFrequencyForwardUndecimatedICF3ICF3ShannonF3PD3', True, 'itk::Image< std::complex< float >,3 >, itk::Image< std::complex< float >,3 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< float >,3 >, itk::ShannonIsotropicWavelet< float, 3, itk::Point< double,3 > > >'),
  ('WaveletFrequencyForwardUndecimated', 'itk::WaveletFrequencyForwardUndecimated', 'itkWaveletFrequencyForwardUndecimatedICF3ICF3VowD3PD3', True, 'itk::Image< std::complex< float >,3 >, itk::Image< std::complex< float >,3 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< float >,3 >, itk::VowIsotropicWavelet< double, 3, itk::Point< double,3 > > >'),
  ('WaveletFrequencyForwardUndecimated', 'itk::WaveletFrequencyForwardUndecimated', 'itkWaveletFrequencyForwardUndecimatedICF3ICF3HeldD3PD3', True, 'itk::Image< std::complex< float >,3 >, itk::Image< std::complex< float >,3 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< float >,3 >, itk::HeldIsotropicWavelet< double, 3, itk::Point< double,3 > > >'),
  ('WaveletFrequencyForwardUndecimated', 'itk::WaveletFrequencyForwardUndecimated', 'itkWaveletFrequencyForwardUndecimatedICF3ICF3SimoncelliD3PD3', True, 'itk::Image< std::complex< float >,3 >, itk::Image< std::complex< float >,3 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< float >,3 >, itk::SimoncelliIsotropicWavelet< double, 3, itk::Point< double,3 > > >'),
  ('WaveletFrequencyForwardUndecimated', 'itk::WaveletFrequencyForwardUndecimated', 'itkWaveletFrequencyForwardUndecimatedICF3ICF3ShannonD3PD3', True, 'itk::Image< std::complex< float >,3 >, itk::Image< std::complex< float >,3 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< float >,3 >, itk::ShannonIsotropicWavelet< double, 3, itk::Point< double,3 > > >'),
  ('WaveletFrequencyForwardUndecimated', 'itk::WaveletFrequencyForwardUndecimated', 'itkWaveletFrequencyForwardUndecimatedICD4ICD4VowF4PD4', True, 'itk::Image< std::complex< double >,4 >, itk::Image< std::complex< double >,4 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< double >,4 >, itk::VowIsotropicWavelet< float, 4, itk::Point< double,4 > > >'),
  ('WaveletFrequencyForwardUndecimated', 'itk::WaveletFrequencyForwardUndecimated', 'itkWaveletFrequencyForwardUndecimatedICD4ICD4HeldF4PD4', True, 'itk::Image< std::complex< double >,4 >, itk::Image< std::complex< double >,4 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< double >,4 >, itk::HeldIsotropicWavelet< float, 4, itk::Point< double,4 > > >'),
  ('WaveletFrequencyForwardUndecimated', 'itk::WaveletFrequencyForwardUndecimated', 'itkWaveletFrequencyForwardUndecimatedICD4ICD4SimoncelliF4PD4', True, 'itk::Image< std::complex< double >,4 >, itk::Image< std::complex< double >,4 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< double >,4 >, itk::SimoncelliIsotropicWavelet< float, 4, itk::Point< double,4 > > >'),
  ('WaveletFrequencyForwardUndecimated', 'itk::WaveletFrequencyForwardUndecimated', 'itkWaveletFrequencyForwardUndecimatedICD4ICD4ShannonF4PD4', True, 'itk::Image< std::complex< double >,4 >, itk::Image< std::complex< double >,4 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< double >,4 >, itk::ShannonIsotropicWavelet< float, 4, itk::Point< double,4 > > >'),
  ('WaveletFrequencyForwardUndecimated', 'itk::WaveletFrequencyForwardUndecimated', 'itkWaveletFrequencyForwardUndecimatedICD4ICD4VowD4PD4', True, 'itk::Image< std::complex< double >,4 >, itk::Image< std::complex< double >,4 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< double >,4 >, itk::VowIsotropicWavelet< double, 4, itk::Point< double,4 > > >'),
  ('WaveletFrequencyForwardUndecimated', 'itk::WaveletFrequencyForwardUndecimated', 'itkWaveletFrequencyForwardUndecimatedICD4ICD4HeldD4PD4', True, 'itk::Image< std::complex< double >,4 >, itk::Image< std::complex< double >,4 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< double >,4 >, itk::HeldIsotropicWavelet< double, 4, itk::Point< double,4 > > >'),
  ('WaveletFrequencyForwardUndecimated', 'itk::WaveletFrequencyForwardUndecimated', 'itkWaveletFrequencyForwardUndecimatedICD4ICD4SimoncelliD4PD4', True, 'itk::Image< std::complex< double >,4 >, itk::Image< std::complex< double >,4 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< double >,4 >, itk::SimoncelliIsotropicWavelet< double, 4, itk::Point< double,4 > > >'),
  ('WaveletFrequencyForwardUndecimated', 'itk::WaveletFrequencyForwardUndecimated', 'itkWaveletFrequencyForwardUndecimatedICD4ICD4ShannonD4PD4', True, 'itk::Image< std::complex< double >,4 >, itk::Image< std::complex< double >,4 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< double >,4 >, itk::ShannonIsotropicWavelet< double, 4, itk::Point< double,4 > > >'),
  ('WaveletFrequencyForwardUndecimated', 'itk::WaveletFrequencyForwardUndecimated', 'itkWaveletFrequencyForwardUndecimatedICF4ICF4VowF4PD4', True, 'itk::Image< std::complex< float >,4 >, itk::Image< std::complex< float >,4 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< float >,4 >, itk::VowIsotropicWavelet< float, 4, itk::Point< double,4 > > >'),
  ('WaveletFrequencyForwardUndecimated', 'itk::WaveletFrequencyForwardUndecimated', 'itkWaveletFrequencyForwardUndecimatedICF4ICF4HeldF4PD4', True, 'itk::Image< std::complex< float >,4 >, itk::Image< std::complex< float >,4 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< float >,4 >, itk::HeldIsotropicWavelet< float, 4, itk::Point< double,4 > > >'),
  ('WaveletFrequencyForwardUndecimated', 'itk::WaveletFrequencyForwardUndecimated', 'itkWaveletFrequencyForwardUndecimatedICF4ICF4SimoncelliF4PD4', True, 'itk::Image< std::complex< float >,4 >, itk::Image< std::complex< float >,4 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< float >,4 >, itk::SimoncelliIsotropicWavelet< float, 4, itk::Point< double,4 > > >'),
  ('WaveletFrequencyForwardUndecimated', 'itk::WaveletFrequencyForwardUndecimated', 'itkWaveletFrequencyForwardUndecimatedICF4ICF4ShannonF4PD4', True, 'itk::Image< std::complex< float >,4 >, itk::Image< std::complex< float >,4 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< float >,4 >, itk::ShannonIsotropicWavelet< float, 4, itk::Point< double,4 > > >'),
  ('WaveletFrequencyForwardUndecimated', 'itk::WaveletFrequencyForwardUndecimated', 'itkWaveletFrequencyForwardUndecimatedICF4ICF4VowD4PD4', True, 'itk::Image< std::complex< float >,4 >, itk::Image< std::complex< float >,4 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< float >,4 >, itk::VowIsotropicWavelet< double, 4, itk::Point< double,4 > > >'),
  ('WaveletFrequencyForwardUndecimated', 'itk::WaveletFrequencyForwardUndecimated', 'itkWaveletFrequencyForwardUndecimatedICF4ICF4HeldD4PD4', True, 'itk::Image< std::complex< float >,4 >, itk::Image< std::complex< float >,4 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< float >,4 >, itk::HeldIsotropicWavelet< double, 4, itk::Point< double,4 > > >'),
  ('WaveletFrequencyForwardUndecimated', 'itk::WaveletFrequencyForwardUndecimated', 'itkWaveletFrequencyForwardUndecimatedICF4ICF4SimoncelliD4PD4', True, 'itk::Image< std::complex< float >,4 >, itk::Image< std::complex< float >,4 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< float >,4 >, itk::SimoncelliIsotropicWavelet< double, 4, itk::Point< double,4 > > >'),
  ('WaveletFrequencyForwardUndecimated', 'itk::WaveletFrequencyForwardUndecimated', 'itkWaveletFrequencyForwardUndecimatedICF4ICF4ShannonD4PD4', True, 'itk::Image< std::complex< float >,4 >, itk::Image< std::complex< float >,4 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< float >,4 >, itk::ShannonIsotropicWavelet< double, 4, itk::Point< double,4 > > >'),
  ('WaveletFrequencyInverse', 'itk::WaveletFrequencyInverse', 'itkWaveletFrequencyInverseICD2ICD2VowF2PD2', True, 'itk::Image< std::complex< double >,2 >, itk::Image< std::complex< double >,2 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< double >,2 >, itk::VowIsotropicWavelet< float, 2, itk::Point< double,2 > > >'),
  ('WaveletFrequencyInverse', 'itk::WaveletFrequencyInverse', 'itkWaveletFrequencyInverseICD2ICD2HeldF2PD2', True, 'itk::Image< std::complex< double >,2 >, itk::Image< std::complex< double >,2 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< double >,2 >, itk::HeldIsotropicWavelet< float, 2, itk::Point< double,2 > > >'),
  ('WaveletFrequencyInverse', 'itk::WaveletFrequencyInverse', 'itkWaveletFrequencyInverseICD2ICD2SimoncelliF2PD2', True, 'itk::Image< std::complex< double >,2 >, itk::Image< std::complex< double >,2 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< double >,2 >, itk::SimoncelliIsotropicWavelet< float, 2, itk::Point< double,2 > > >'),
  ('WaveletFrequencyInverse', 'itk::WaveletFrequencyInverse', 'itkWaveletFrequencyInverseICD2ICD2ShannonF2PD2', True, 'itk::Image< std::complex< double >,2 >, itk::Image< std::complex< double >,2 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< double >,2 >, itk::ShannonIsotropicWavelet< float, 2, itk::Point< double,2 > > >'),
  ('WaveletFrequencyInverse', 'itk::WaveletFrequencyInverse', 'itkWaveletFrequencyInverseICD2ICD2VowD2PD2', True, 'itk::Image< std::complex< double >,2 >, itk::Image< std::complex< double >,2 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< double >,2 >, itk::VowIsotropicWavelet< double, 2, itk::Point< double,2 > > >'),
  ('WaveletFrequencyInverse', 'itk::WaveletFrequencyInverse', 'itkWaveletFrequencyInverseICD2ICD2HeldD2PD2', True, 'itk::Image< std::complex< double >,2 >, itk::Image< std::complex< double >,2 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< double >,2 >, itk::HeldIsotropicWavelet< double, 2, itk::Point< double,2 > > >'),
  ('WaveletFrequencyInverse', 'itk::WaveletFrequencyInverse', 'itkWaveletFrequencyInverseICD2ICD2SimoncelliD2PD2', True, 'itk::Image< std::complex< double >,2 >, itk::Image< std::complex< double >,2 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< double >,2 >, itk::SimoncelliIsotropicWavelet< double, 2, itk::Point< double,2 > > >'),
  ('WaveletFrequencyInverse', 'itk::WaveletFrequencyInverse', 'itkWaveletFrequencyInverseICD2ICD2ShannonD2PD2', True, 'itk::Image< std::complex< double >,2 >, itk::Image< std::complex< double >,2 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< double >,2 >, itk::ShannonIsotropicWavelet< double, 2, itk::Point< double,2 > > >'),
  ('WaveletFrequencyInverse', 'itk::WaveletFrequencyInverse', 'itkWaveletFrequencyInverseICF2ICF2VowF2PD2', True, 'itk::Image< std::complex< float >,2 >, itk::Image< std::complex< float >,2 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< float >,2 >, itk::VowIsotropicWavelet< float, 2, itk::Point< double,2 > > >'),
  ('WaveletFrequencyInverse', 'itk::WaveletFrequencyInverse', 'itkWaveletFrequencyInverseICF2ICF2HeldF2PD2', True, 'itk::Image< std::complex< float >,2 >, itk::Image< std::complex< float >,2 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< float >,2 >, itk::HeldIsotropicWavelet< float, 2, itk::Point< double,2 > > >'),
  ('WaveletFrequencyInverse', 'itk::WaveletFrequencyInverse', 'itkWaveletFrequencyInverseICF2ICF2SimoncelliF2PD2', True, 'itk::Image< std::complex< float >,2 >, itk::Image< std::complex< float >,2 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< float >,2 >, itk::SimoncelliIsotropicWavelet< float, 2, itk::Point< double,2 > > >'),
  ('WaveletFrequencyInverse', 'itk::WaveletFrequencyInverse', 'itkWaveletFrequencyInverseICF2ICF2ShannonF2PD2', True, 'itk::Image< std::complex< float >,2 >, itk::Image< std::complex< float >,2 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< float >,2 >, itk::ShannonIsotropicWavelet< float, 2, itk::Point< double,2 > > >'),
  ('WaveletFrequencyInverse', 'itk::WaveletFrequencyInverse', 'itkWaveletFrequencyInverseICF2ICF2VowD2PD2', True, 'itk::Image< std::complex< float >,2 >, itk::Image< std::complex< float >,2 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< float >,2 >, itk::VowIsotropicWavelet< double, 2, itk::Point< double,2 > > >'),
  ('WaveletFrequencyInverse', 'itk::WaveletFrequencyInverse', 'itkWaveletFrequencyInverseICF2ICF2HeldD2PD2', True, 'itk::Image< std::complex< float >,2 >, itk::Image< std::complex< float >,2 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< float >,2 >, itk::HeldIsotropicWavelet< double, 2, itk::Point< double,2 > > >'),
  ('WaveletFrequencyInverse', 'itk::WaveletFrequencyInverse', 'itkWaveletFrequencyInverseICF2ICF2SimoncelliD2PD2', True, 'itk::Image< std::complex< float >,2 >, itk::Image< std::complex< float >,2 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< float >,2 >, itk::SimoncelliIsotropicWavelet< double, 2, itk::Point< double,2 > > >'),
  ('WaveletFrequencyInverse', 'itk::WaveletFrequencyInverse', 'itkWaveletFrequencyInverseICF2ICF2ShannonD2PD2', True, 'itk::Image< std::complex< float >,2 >, itk::Image< std::complex< float >,2 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< float >,2 >, itk::ShannonIsotropicWavelet< double, 2, itk::Point< double,2 > > >'),
  ('WaveletFrequencyInverse', 'itk::WaveletFrequencyInverse', 'itkWaveletFrequencyInverseICD3ICD3VowF3PD3', True, 'itk::Image< std::complex< double >,3 >, itk::Image< std::complex< double >,3 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< double >,3 >, itk::VowIsotropicWavelet< float, 3, itk::Point< double,3 > > >'),
  ('WaveletFrequencyInverse', 'itk::WaveletFrequencyInverse', 'itkWaveletFrequencyInverseICD3ICD3HeldF3PD3', True, 'itk::Image< std::complex< double >,3 >, itk::Image< std::complex< double >,3 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< double >,3 >, itk::HeldIsotropicWavelet< float, 3, itk::Point< double,3 > > >'),
  ('WaveletFrequencyInverse', 'itk::WaveletFrequencyInverse', 'itkWaveletFrequencyInverseICD3ICD3SimoncelliF3PD3', True, 'itk::Image< std::complex< double >,3 >, itk::Image< std::complex< double >,3 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< double >,3 >, itk::SimoncelliIsotropicWavelet< float, 3, itk::Point< double,3 > > >'),
  ('WaveletFrequencyInverse', 'itk::WaveletFrequencyInverse', 'itkWaveletFrequencyInverseICD3ICD3ShannonF3PD3', True, 'itk::Image< std::complex< double >,3 >, itk::Image< std::complex< double >,3 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< double >,3 >, itk::ShannonIsotropicWavelet< float, 3, itk::Point< double,3 > > >'),
  ('WaveletFrequencyInverse', 'itk::WaveletFrequencyInverse', 'itkWaveletFrequencyInverseICD3ICD3VowD3PD3', True, 'itk::Image< std::complex< double >,3 >, itk::Image< std::complex< double >,3 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< double >,3 >, itk::VowIsotropicWavelet< double, 3, itk::Point< double,3 > > >'),
  ('WaveletFrequencyInverse', 'itk::WaveletFrequencyInverse', 'itkWaveletFrequencyInverseICD3ICD3HeldD3PD3', True, 'itk::Image< std::complex< double >,3 >, itk::Image< std::complex< double >,3 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< double >,3 >, itk::HeldIsotropicWavelet< double, 3, itk::Point< double,3 > > >'),
  ('WaveletFrequencyInverse', 'itk::WaveletFrequencyInverse', 'itkWaveletFrequencyInverseICD3ICD3SimoncelliD3PD3', True, 'itk::Image< std::complex< double >,3 >, itk::Image< std::complex< double >,3 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< double >,3 >, itk::SimoncelliIsotropicWavelet< double, 3, itk::Point< double,3 > > >'),
  ('WaveletFrequencyInverse', 'itk::WaveletFrequencyInverse', 'itkWaveletFrequencyInverseICD3ICD3ShannonD3PD3', True, 'itk::Image< std::complex< double >,3 >, itk::Image< std::complex< double >,3 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< double >,3 >, itk::ShannonIsotropicWavelet< double, 3, itk::Point< double,3 > > >'),
  ('WaveletFrequencyInverse', 'itk::WaveletFrequencyInverse', 'itkWaveletFrequencyInverseICF3ICF3VowF3PD3', True, 'itk::Image< std::complex< float >,3 >, itk::Image< std::complex< float >,3 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< float >,3 >, itk::VowIsotropicWavelet< float, 3, itk::Point< double,3 > > >'),
  ('WaveletFrequencyInverse', 'itk::WaveletFrequencyInverse', 'itkWaveletFrequencyInverseICF3ICF3HeldF3PD3', True, 'itk::Image< std::complex< float >,3 >, itk::Image< std::complex< float >,3 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< float >,3 >, itk::HeldIsotropicWavelet< float, 3, itk::Point< double,3 > > >'),
  ('WaveletFrequencyInverse', 'itk::WaveletFrequencyInverse', 'itkWaveletFrequencyInverseICF3ICF3SimoncelliF3PD3', True, 'itk::Image< std::complex< float >,3 >, itk::Image< std::complex< float >,3 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< float >,3 >, itk::SimoncelliIsotropicWavelet< float, 3, itk::Point< double,3 > > >'),
  ('WaveletFrequencyInverse', 'itk::WaveletFrequencyInverse', 'itkWaveletFrequencyInverseICF3ICF3ShannonF3PD3', True, 'itk::Image< std::complex< float >,3 >, itk::Image< std::complex< float >,3 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< float >,3 >, itk::ShannonIsotropicWavelet< float, 3, itk::Point< double,3 > > >'),
  ('WaveletFrequencyInverse', 'itk::WaveletFrequencyInverse', 'itkWaveletFrequencyInverseICF3ICF3VowD3PD3', True, 'itk::Image< std::complex< float >,3 >, itk::Image< std::complex< float >,3 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< float >,3 >, itk::VowIsotropicWavelet< double, 3, itk::Point< double,3 > > >'),
  ('WaveletFrequencyInverse', 'itk::WaveletFrequencyInverse', 'itkWaveletFrequencyInverseICF3ICF3HeldD3PD3', True, 'itk::Image< std::complex< float >,3 >, itk::Image< std::complex< float >,3 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< float >,3 >, itk::HeldIsotropicWavelet< double, 3, itk::Point< double,3 > > >'),
  ('WaveletFrequencyInverse', 'itk::WaveletFrequencyInverse', 'itkWaveletFrequencyInverseICF3ICF3SimoncelliD3PD3', True, 'itk::Image< std::complex< float >,3 >, itk::Image< std::complex< float >,3 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< float >,3 >, itk::SimoncelliIsotropicWavelet< double, 3, itk::Point< double,3 > > >'),
  ('WaveletFrequencyInverse', 'itk::WaveletFrequencyInverse', 'itkWaveletFrequencyInverseICF3ICF3ShannonD3PD3', True, 'itk::Image< std::complex< float >,3 >, itk::Image< std::complex< float >,3 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< float >,3 >, itk::ShannonIsotropicWavelet< double, 3, itk::Point< double,3 > > >'),
  ('WaveletFrequencyInverse', 'itk::WaveletFrequencyInverse', 'itkWaveletFrequencyInverseICD4ICD4VowF4PD4', True, 'itk::Image< std::complex< double >,4 >, itk::Image< std::complex< double >,4 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< double >,4 >, itk::VowIsotropicWavelet< float, 4, itk::Point< double,4 > > >'),
  ('WaveletFrequencyInverse', 'itk::WaveletFrequencyInverse', 'itkWaveletFrequencyInverseICD4ICD4HeldF4PD4', True, 'itk::Image< std::complex< double >,4 >, itk::Image< std::complex< double >,4 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< double >,4 >, itk::HeldIsotropicWavelet< float, 4, itk::Point< double,4 > > >'),
  ('WaveletFrequencyInverse', 'itk::WaveletFrequencyInverse', 'itkWaveletFrequencyInverseICD4ICD4SimoncelliF4PD4', True, 'itk::Image< std::complex< double >,4 >, itk::Image< std::complex< double >,4 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< double >,4 >, itk::SimoncelliIsotropicWavelet< float, 4, itk::Point< double,4 > > >'),
  ('WaveletFrequencyInverse', 'itk::WaveletFrequencyInverse', 'itkWaveletFrequencyInverseICD4ICD4ShannonF4PD4', True, 'itk::Image< std::complex< double >,4 >, itk::Image< std::complex< double >,4 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< double >,4 >, itk::ShannonIsotropicWavelet< float, 4, itk::Point< double,4 > > >'),
  ('WaveletFrequencyInverse', 'itk::WaveletFrequencyInverse', 'itkWaveletFrequencyInverseICD4ICD4VowD4PD4', True, 'itk::Image< std::complex< double >,4 >, itk::Image< std::complex< double >,4 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< double >,4 >, itk::VowIsotropicWavelet< double, 4, itk::Point< double,4 > > >'),
  ('WaveletFrequencyInverse', 'itk::WaveletFrequencyInverse', 'itkWaveletFrequencyInverseICD4ICD4HeldD4PD4', True, 'itk::Image< std::complex< double >,4 >, itk::Image< std::complex< double >,4 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< double >,4 >, itk::HeldIsotropicWavelet< double, 4, itk::Point< double,4 > > >'),
  ('WaveletFrequencyInverse', 'itk::WaveletFrequencyInverse', 'itkWaveletFrequencyInverseICD4ICD4SimoncelliD4PD4', True, 'itk::Image< std::complex< double >,4 >, itk::Image< std::complex< double >,4 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< double >,4 >, itk::SimoncelliIsotropicWavelet< double, 4, itk::Point< double,4 > > >'),
  ('WaveletFrequencyInverse', 'itk::WaveletFrequencyInverse', 'itkWaveletFrequencyInverseICD4ICD4ShannonD4PD4', True, 'itk::Image< std::complex< double >,4 >, itk::Image< std::complex< double >,4 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< double >,4 >, itk::ShannonIsotropicWavelet< double, 4, itk::Point< double,4 > > >'),
  ('WaveletFrequencyInverse', 'itk::WaveletFrequencyInverse', 'itkWaveletFrequencyInverseICF4ICF4VowF4PD4', True, 'itk::Image< std::complex< float >,4 >, itk::Image< std::complex< float >,4 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< float >,4 >, itk::VowIsotropicWavelet< float, 4, itk::Point< double,4 > > >'),
  ('WaveletFrequencyInverse', 'itk::WaveletFrequencyInverse', 'itkWaveletFrequencyInverseICF4ICF4HeldF4PD4', True, 'itk::Image< std::complex< float >,4 >, itk::Image< std::complex< float >,4 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< float >,4 >, itk::HeldIsotropicWavelet< float, 4, itk::Point< double,4 > > >'),
  ('WaveletFrequencyInverse', 'itk::WaveletFrequencyInverse', 'itkWaveletFrequencyInverseICF4ICF4SimoncelliF4PD4', True, 'itk::Image< std::complex< float >,4 >, itk::Image< std::complex< float >,4 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< float >,4 >, itk::SimoncelliIsotropicWavelet< float, 4, itk::Point< double,4 > > >'),
  ('WaveletFrequencyInverse', 'itk::WaveletFrequencyInverse', 'itkWaveletFrequencyInverseICF4ICF4ShannonF4PD4', True, 'itk::Image< std::complex< float >,4 >, itk::Image< std::complex< float >,4 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< float >,4 >, itk::ShannonIsotropicWavelet< float, 4, itk::Point< double,4 > > >'),
  ('WaveletFrequencyInverse', 'itk::WaveletFrequencyInverse', 'itkWaveletFrequencyInverseICF4ICF4VowD4PD4', True, 'itk::Image< std::complex< float >,4 >, itk::Image< std::complex< float >,4 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< float >,4 >, itk::VowIsotropicWavelet< double, 4, itk::Point< double,4 > > >'),
  ('WaveletFrequencyInverse', 'itk::WaveletFrequencyInverse', 'itkWaveletFrequencyInverseICF4ICF4HeldD4PD4', True, 'itk::Image< std::complex< float >,4 >, itk::Image< std::complex< float >,4 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< float >,4 >, itk::HeldIsotropicWavelet< double, 4, itk::Point< double,4 > > >'),
  ('WaveletFrequencyInverse', 'itk::WaveletFrequencyInverse', 'itkWaveletFrequencyInverseICF4ICF4SimoncelliD4PD4', True, 'itk::Image< std::complex< float >,4 >, itk::Image< std::complex< float >,4 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< float >,4 >, itk::SimoncelliIsotropicWavelet< double, 4, itk::Point< double,4 > > >'),
  ('WaveletFrequencyInverse', 'itk::WaveletFrequencyInverse', 'itkWaveletFrequencyInverseICF4ICF4ShannonD4PD4', True, 'itk::Image< std::complex< float >,4 >, itk::Image< std::complex< float >,4 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< float >,4 >, itk::ShannonIsotropicWavelet< double, 4, itk::Point< double,4 > > >'),
  ('WaveletFrequencyInverseUndecimated', 'itk::WaveletFrequencyInverseUndecimated', 'itkWaveletFrequencyInverseUndecimatedICD2ICD2VowF2PD2', True, 'itk::Image< std::complex< double >,2 >, itk::Image< std::complex< double >,2 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< double >,2 >, itk::VowIsotropicWavelet< float, 2, itk::Point< double,2 > > >'),
  ('WaveletFrequencyInverseUndecimated', 'itk::WaveletFrequencyInverseUndecimated', 'itkWaveletFrequencyInverseUndecimatedICD2ICD2HeldF2PD2', True, 'itk::Image< std::complex< double >,2 >, itk::Image< std::complex< double >,2 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< double >,2 >, itk::HeldIsotropicWavelet< float, 2, itk::Point< double,2 > > >'),
  ('WaveletFrequencyInverseUndecimated', 'itk::WaveletFrequencyInverseUndecimated', 'itkWaveletFrequencyInverseUndecimatedICD2ICD2SimoncelliF2PD2', True, 'itk::Image< std::complex< double >,2 >, itk::Image< std::complex< double >,2 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< double >,2 >, itk::SimoncelliIsotropicWavelet< float, 2, itk::Point< double,2 > > >'),
  ('WaveletFrequencyInverseUndecimated', 'itk::WaveletFrequencyInverseUndecimated', 'itkWaveletFrequencyInverseUndecimatedICD2ICD2ShannonF2PD2', True, 'itk::Image< std::complex< double >,2 >, itk::Image< std::complex< double >,2 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< double >,2 >, itk::ShannonIsotropicWavelet< float, 2, itk::Point< double,2 > > >'),
  ('WaveletFrequencyInverseUndecimated', 'itk::WaveletFrequencyInverseUndecimated', 'itkWaveletFrequencyInverseUndecimatedICD2ICD2VowD2PD2', True, 'itk::Image< std::complex< double >,2 >, itk::Image< std::complex< double >,2 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< double >,2 >, itk::VowIsotropicWavelet< double, 2, itk::Point< double,2 > > >'),
  ('WaveletFrequencyInverseUndecimated', 'itk::WaveletFrequencyInverseUndecimated', 'itkWaveletFrequencyInverseUndecimatedICD2ICD2HeldD2PD2', True, 'itk::Image< std::complex< double >,2 >, itk::Image< std::complex< double >,2 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< double >,2 >, itk::HeldIsotropicWavelet< double, 2, itk::Point< double,2 > > >'),
  ('WaveletFrequencyInverseUndecimated', 'itk::WaveletFrequencyInverseUndecimated', 'itkWaveletFrequencyInverseUndecimatedICD2ICD2SimoncelliD2PD2', True, 'itk::Image< std::complex< double >,2 >, itk::Image< std::complex< double >,2 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< double >,2 >, itk::SimoncelliIsotropicWavelet< double, 2, itk::Point< double,2 > > >'),
  ('WaveletFrequencyInverseUndecimated', 'itk::WaveletFrequencyInverseUndecimated', 'itkWaveletFrequencyInverseUndecimatedICD2ICD2ShannonD2PD2', True, 'itk::Image< std::complex< double >,2 >, itk::Image< std::complex< double >,2 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< double >,2 >, itk::ShannonIsotropicWavelet< double, 2, itk::Point< double,2 > > >'),
  ('WaveletFrequencyInverseUndecimated', 'itk::WaveletFrequencyInverseUndecimated', 'itkWaveletFrequencyInverseUndecimatedICF2ICF2VowF2PD2', True, 'itk::Image< std::complex< float >,2 >, itk::Image< std::complex< float >,2 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< float >,2 >, itk::VowIsotropicWavelet< float, 2, itk::Point< double,2 > > >'),
  ('WaveletFrequencyInverseUndecimated', 'itk::WaveletFrequencyInverseUndecimated', 'itkWaveletFrequencyInverseUndecimatedICF2ICF2HeldF2PD2', True, 'itk::Image< std::complex< float >,2 >, itk::Image< std::complex< float >,2 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< float >,2 >, itk::HeldIsotropicWavelet< float, 2, itk::Point< double,2 > > >'),
  ('WaveletFrequencyInverseUndecimated', 'itk::WaveletFrequencyInverseUndecimated', 'itkWaveletFrequencyInverseUndecimatedICF2ICF2SimoncelliF2PD2', True, 'itk::Image< std::complex< float >,2 >, itk::Image< std::complex< float >,2 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< float >,2 >, itk::SimoncelliIsotropicWavelet< float, 2, itk::Point< double,2 > > >'),
  ('WaveletFrequencyInverseUndecimated', 'itk::WaveletFrequencyInverseUndecimated', 'itkWaveletFrequencyInverseUndecimatedICF2ICF2ShannonF2PD2', True, 'itk::Image< std::complex< float >,2 >, itk::Image< std::complex< float >,2 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< float >,2 >, itk::ShannonIsotropicWavelet< float, 2, itk::Point< double,2 > > >'),
  ('WaveletFrequencyInverseUndecimated', 'itk::WaveletFrequencyInverseUndecimated', 'itkWaveletFrequencyInverseUndecimatedICF2ICF2VowD2PD2', True, 'itk::Image< std::complex< float >,2 >, itk::Image< std::complex< float >,2 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< float >,2 >, itk::VowIsotropicWavelet< double, 2, itk::Point< double,2 > > >'),
  ('WaveletFrequencyInverseUndecimated', 'itk::WaveletFrequencyInverseUndecimated', 'itkWaveletFrequencyInverseUndecimatedICF2ICF2HeldD2PD2', True, 'itk::Image< std::complex< float >,2 >, itk::Image< std::complex< float >,2 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< float >,2 >, itk::HeldIsotropicWavelet< double, 2, itk::Point< double,2 > > >'),
  ('WaveletFrequencyInverseUndecimated', 'itk::WaveletFrequencyInverseUndecimated', 'itkWaveletFrequencyInverseUndecimatedICF2ICF2SimoncelliD2PD2', True, 'itk::Image< std::complex< float >,2 >, itk::Image< std::complex< float >,2 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< float >,2 >, itk::SimoncelliIsotropicWavelet< double, 2, itk::Point< double,2 > > >'),
  ('WaveletFrequencyInverseUndecimated', 'itk::WaveletFrequencyInverseUndecimated', 'itkWaveletFrequencyInverseUndecimatedICF2ICF2ShannonD2PD2', True, 'itk::Image< std::complex< float >,2 >, itk::Image< std::complex< float >,2 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< float >,2 >, itk::ShannonIsotropicWavelet< double, 2, itk::Point< double,2 > > >'),
  ('WaveletFrequencyInverseUndecimated', 'itk::WaveletFrequencyInverseUndecimated', 'itkWaveletFrequencyInverseUndecimatedICD3ICD3VowF3PD3', True, 'itk::Image< std::complex< double >,3 >, itk::Image< std::complex< double >,3 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< double >,3 >, itk::VowIsotropicWavelet< float, 3, itk::Point< double,3 > > >'),
  ('WaveletFrequencyInverseUndecimated', 'itk::WaveletFrequencyInverseUndecimated', 'itkWaveletFrequencyInverseUndecimatedICD3ICD3HeldF3PD3', True, 'itk::Image< std::complex< double >,3 >, itk::Image< std::complex< double >,3 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< double >,3 >, itk::HeldIsotropicWavelet< float, 3, itk::Point< double,3 > > >'),
  ('WaveletFrequencyInverseUndecimated', 'itk::WaveletFrequencyInverseUndecimated', 'itkWaveletFrequencyInverseUndecimatedICD3ICD3SimoncelliF3PD3', True, 'itk::Image< std::complex< double >,3 >, itk::Image< std::complex< double >,3 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< double >,3 >, itk::SimoncelliIsotropicWavelet< float, 3, itk::Point< double,3 > > >'),
  ('WaveletFrequencyInverseUndecimated', 'itk::WaveletFrequencyInverseUndecimated', 'itkWaveletFrequencyInverseUndecimatedICD3ICD3ShannonF3PD3', True, 'itk::Image< std::complex< double >,3 >, itk::Image< std::complex< double >,3 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< double >,3 >, itk::ShannonIsotropicWavelet< float, 3, itk::Point< double,3 > > >'),
  ('WaveletFrequencyInverseUndecimated', 'itk::WaveletFrequencyInverseUndecimated', 'itkWaveletFrequencyInverseUndecimatedICD3ICD3VowD3PD3', True, 'itk::Image< std::complex< double >,3 >, itk::Image< std::complex< double >,3 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< double >,3 >, itk::VowIsotropicWavelet< double, 3, itk::Point< double,3 > > >'),
  ('WaveletFrequencyInverseUndecimated', 'itk::WaveletFrequencyInverseUndecimated', 'itkWaveletFrequencyInverseUndecimatedICD3ICD3HeldD3PD3', True, 'itk::Image< std::complex< double >,3 >, itk::Image< std::complex< double >,3 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< double >,3 >, itk::HeldIsotropicWavelet< double, 3, itk::Point< double,3 > > >'),
  ('WaveletFrequencyInverseUndecimated', 'itk::WaveletFrequencyInverseUndecimated', 'itkWaveletFrequencyInverseUndecimatedICD3ICD3SimoncelliD3PD3', True, 'itk::Image< std::complex< double >,3 >, itk::Image< std::complex< double >,3 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< double >,3 >, itk::SimoncelliIsotropicWavelet< double, 3, itk::Point< double,3 > > >'),
  ('WaveletFrequencyInverseUndecimated', 'itk::WaveletFrequencyInverseUndecimated', 'itkWaveletFrequencyInverseUndecimatedICD3ICD3ShannonD3PD3', True, 'itk::Image< std::complex< double >,3 >, itk::Image< std::complex< double >,3 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< double >,3 >, itk::ShannonIsotropicWavelet< double, 3, itk::Point< double,3 > > >'),
  ('WaveletFrequencyInverseUndecimated', 'itk::WaveletFrequencyInverseUndecimated', 'itkWaveletFrequencyInverseUndecimatedICF3ICF3VowF3PD3', True, 'itk::Image< std::complex< float >,3 >, itk::Image< std::complex< float >,3 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< float >,3 >, itk::VowIsotropicWavelet< float, 3, itk::Point< double,3 > > >'),
  ('WaveletFrequencyInverseUndecimated', 'itk::WaveletFrequencyInverseUndecimated', 'itkWaveletFrequencyInverseUndecimatedICF3ICF3HeldF3PD3', True, 'itk::Image< std::complex< float >,3 >, itk::Image< std::complex< float >,3 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< float >,3 >, itk::HeldIsotropicWavelet< float, 3, itk::Point< double,3 > > >'),
  ('WaveletFrequencyInverseUndecimated', 'itk::WaveletFrequencyInverseUndecimated', 'itkWaveletFrequencyInverseUndecimatedICF3ICF3SimoncelliF3PD3', True, 'itk::Image< std::complex< float >,3 >, itk::Image< std::complex< float >,3 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< float >,3 >, itk::SimoncelliIsotropicWavelet< float, 3, itk::Point< double,3 > > >'),
  ('WaveletFrequencyInverseUndecimated', 'itk::WaveletFrequencyInverseUndecimated', 'itkWaveletFrequencyInverseUndecimatedICF3ICF3ShannonF3PD3', True, 'itk::Image< std::complex< float >,3 >, itk::Image< std::complex< float >,3 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< float >,3 >, itk::ShannonIsotropicWavelet< float, 3, itk::Point< double,3 > > >'),
  ('WaveletFrequencyInverseUndecimated', 'itk::WaveletFrequencyInverseUndecimated', 'itkWaveletFrequencyInverseUndecimatedICF3ICF3VowD3PD3', True, 'itk::Image< std::complex< float >,3 >, itk::Image< std::complex< float >,3 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< float >,3 >, itk::VowIsotropicWavelet< double, 3, itk::Point< double,3 > > >'),
  ('WaveletFrequencyInverseUndecimated', 'itk::WaveletFrequencyInverseUndecimated', 'itkWaveletFrequencyInverseUndecimatedICF3ICF3HeldD3PD3', True, 'itk::Image< std::complex< float >,3 >, itk::Image< std::complex< float >,3 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< float >,3 >, itk::HeldIsotropicWavelet< double, 3, itk::Point< double,3 > > >'),
  ('WaveletFrequencyInverseUndecimated', 'itk::WaveletFrequencyInverseUndecimated', 'itkWaveletFrequencyInverseUndecimatedICF3ICF3SimoncelliD3PD3', True, 'itk::Image< std::complex< float >,3 >, itk::Image< std::complex< float >,3 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< float >,3 >, itk::SimoncelliIsotropicWavelet< double, 3, itk::Point< double,3 > > >'),
  ('WaveletFrequencyInverseUndecimated', 'itk::WaveletFrequencyInverseUndecimated', 'itkWaveletFrequencyInverseUndecimatedICF3ICF3ShannonD3PD3', True, 'itk::Image< std::complex< float >,3 >, itk::Image< std::complex< float >,3 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< float >,3 >, itk::ShannonIsotropicWavelet< double, 3, itk::Point< double,3 > > >'),
  ('WaveletFrequencyInverseUndecimated', 'itk::WaveletFrequencyInverseUndecimated', 'itkWaveletFrequencyInverseUndecimatedICD4ICD4VowF4PD4', True, 'itk::Image< std::complex< double >,4 >, itk::Image< std::complex< double >,4 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< double >,4 >, itk::VowIsotropicWavelet< float, 4, itk::Point< double,4 > > >'),
  ('WaveletFrequencyInverseUndecimated', 'itk::WaveletFrequencyInverseUndecimated', 'itkWaveletFrequencyInverseUndecimatedICD4ICD4HeldF4PD4', True, 'itk::Image< std::complex< double >,4 >, itk::Image< std::complex< double >,4 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< double >,4 >, itk::HeldIsotropicWavelet< float, 4, itk::Point< double,4 > > >'),
  ('WaveletFrequencyInverseUndecimated', 'itk::WaveletFrequencyInverseUndecimated', 'itkWaveletFrequencyInverseUndecimatedICD4ICD4SimoncelliF4PD4', True, 'itk::Image< std::complex< double >,4 >, itk::Image< std::complex< double >,4 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< double >,4 >, itk::SimoncelliIsotropicWavelet< float, 4, itk::Point< double,4 > > >'),
  ('WaveletFrequencyInverseUndecimated', 'itk::WaveletFrequencyInverseUndecimated', 'itkWaveletFrequencyInverseUndecimatedICD4ICD4ShannonF4PD4', True, 'itk::Image< std::complex< double >,4 >, itk::Image< std::complex< double >,4 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< double >,4 >, itk::ShannonIsotropicWavelet< float, 4, itk::Point< double,4 > > >'),
  ('WaveletFrequencyInverseUndecimated', 'itk::WaveletFrequencyInverseUndecimated', 'itkWaveletFrequencyInverseUndecimatedICD4ICD4VowD4PD4', True, 'itk::Image< std::complex< double >,4 >, itk::Image< std::complex< double >,4 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< double >,4 >, itk::VowIsotropicWavelet< double, 4, itk::Point< double,4 > > >'),
  ('WaveletFrequencyInverseUndecimated', 'itk::WaveletFrequencyInverseUndecimated', 'itkWaveletFrequencyInverseUndecimatedICD4ICD4HeldD4PD4', True, 'itk::Image< std::complex< double >,4 >, itk::Image< std::complex< double >,4 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< double >,4 >, itk::HeldIsotropicWavelet< double, 4, itk::Point< double,4 > > >'),
  ('WaveletFrequencyInverseUndecimated', 'itk::WaveletFrequencyInverseUndecimated', 'itkWaveletFrequencyInverseUndecimatedICD4ICD4SimoncelliD4PD4', True, 'itk::Image< std::complex< double >,4 >, itk::Image< std::complex< double >,4 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< double >,4 >, itk::SimoncelliIsotropicWavelet< double, 4, itk::Point< double,4 > > >'),
  ('WaveletFrequencyInverseUndecimated', 'itk::WaveletFrequencyInverseUndecimated', 'itkWaveletFrequencyInverseUndecimatedICD4ICD4ShannonD4PD4', True, 'itk::Image< std::complex< double >,4 >, itk::Image< std::complex< double >,4 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< double >,4 >, itk::ShannonIsotropicWavelet< double, 4, itk::Point< double,4 > > >'),
  ('WaveletFrequencyInverseUndecimated', 'itk::WaveletFrequencyInverseUndecimated', 'itkWaveletFrequencyInverseUndecimatedICF4ICF4VowF4PD4', True, 'itk::Image< std::complex< float >,4 >, itk::Image< std::complex< float >,4 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< float >,4 >, itk::VowIsotropicWavelet< float, 4, itk::Point< double,4 > > >'),
  ('WaveletFrequencyInverseUndecimated', 'itk::WaveletFrequencyInverseUndecimated', 'itkWaveletFrequencyInverseUndecimatedICF4ICF4HeldF4PD4', True, 'itk::Image< std::complex< float >,4 >, itk::Image< std::complex< float >,4 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< float >,4 >, itk::HeldIsotropicWavelet< float, 4, itk::Point< double,4 > > >'),
  ('WaveletFrequencyInverseUndecimated', 'itk::WaveletFrequencyInverseUndecimated', 'itkWaveletFrequencyInverseUndecimatedICF4ICF4SimoncelliF4PD4', True, 'itk::Image< std::complex< float >,4 >, itk::Image< std::complex< float >,4 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< float >,4 >, itk::SimoncelliIsotropicWavelet< float, 4, itk::Point< double,4 > > >'),
  ('WaveletFrequencyInverseUndecimated', 'itk::WaveletFrequencyInverseUndecimated', 'itkWaveletFrequencyInverseUndecimatedICF4ICF4ShannonF4PD4', True, 'itk::Image< std::complex< float >,4 >, itk::Image< std::complex< float >,4 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< float >,4 >, itk::ShannonIsotropicWavelet< float, 4, itk::Point< double,4 > > >'),
  ('WaveletFrequencyInverseUndecimated', 'itk::WaveletFrequencyInverseUndecimated', 'itkWaveletFrequencyInverseUndecimatedICF4ICF4VowD4PD4', True, 'itk::Image< std::complex< float >,4 >, itk::Image< std::complex< float >,4 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< float >,4 >, itk::VowIsotropicWavelet< double, 4, itk::Point< double,4 > > >'),
  ('WaveletFrequencyInverseUndecimated', 'itk::WaveletFrequencyInverseUndecimated', 'itkWaveletFrequencyInverseUndecimatedICF4ICF4HeldD4PD4', True, 'itk::Image< std::complex< float >,4 >, itk::Image< std::complex< float >,4 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< float >,4 >, itk::HeldIsotropicWavelet< double, 4, itk::Point< double,4 > > >'),
  ('WaveletFrequencyInverseUndecimated', 'itk::WaveletFrequencyInverseUndecimated', 'itkWaveletFrequencyInverseUndecimatedICF4ICF4SimoncelliD4PD4', True, 'itk::Image< std::complex< float >,4 >, itk::Image< std::complex< float >,4 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< float >,4 >, itk::SimoncelliIsotropicWavelet< double, 4, itk::Point< double,4 > > >'),
  ('WaveletFrequencyInverseUndecimated', 'itk::WaveletFrequencyInverseUndecimated', 'itkWaveletFrequencyInverseUndecimatedICF4ICF4ShannonD4PD4', True, 'itk::Image< std::complex< float >,4 >, itk::Image< std::complex< float >,4 >, itk::WaveletFrequencyFilterBankGenerator< itk::Image< std::complex< float >,4 >, itk::ShannonIsotropicWavelet< double, 4, itk::Point< double,4 > > >'),
  ('ZeroDCImageFilter', 'itk::ZeroDCImageFilter', 'itkZeroDCImageFilterISS2', True, 'itk::Image< signed short,2 >'),
  ('ZeroDCImageFilter', 'itk::ZeroDCImageFilter', 'itkZeroDCImageFilterIUC2', True, 'itk::Image< unsigned char,2 >'),
  ('ZeroDCImageFilter', 'itk::ZeroDCImageFilter', 'itkZeroDCImageFilterIUS2', True, 'itk::Image< unsigned short,2 >'),
  ('ZeroDCImageFilter', 'itk::ZeroDCImageFilter', 'itkZeroDCImageFilterIF2', True, 'itk::Image< float,2 >'),
  ('ZeroDCImageFilter', 'itk::ZeroDCImageFilter', 'itkZeroDCImageFilterID2', True, 'itk::Image< double,2 >'),
  ('ZeroDCImageFilter', 'itk::ZeroDCImageFilter', 'itkZeroDCImageFilterISS3', True, 'itk::Image< signed short,3 >'),
  ('ZeroDCImageFilter', 'itk::ZeroDCImageFilter', 'itkZeroDCImageFilterIUC3', True, 'itk::Image< unsigned char,3 >'),
  ('ZeroDCImageFilter', 'itk::ZeroDCImageFilter', 'itkZeroDCImageFilterIUS3', True, 'itk::Image< unsigned short,3 >'),
  ('ZeroDCImageFilter', 'itk::ZeroDCImageFilter', 'itkZeroDCImageFilterIF3', True, 'itk::Image< float,3 >'),
  ('ZeroDCImageFilter', 'itk::ZeroDCImageFilter', 'itkZeroDCImageFilterID3', True, 'itk::Image< double,3 >'),
  ('ZeroDCImageFilter', 'itk::ZeroDCImageFilter', 'itkZeroDCImageFilterISS4', True, 'itk::Image< signed short,4 >'),
  ('ZeroDCImageFilter', 'itk::ZeroDCImageFilter', 'itkZeroDCImageFilterIUC4', True, 'itk::Image< unsigned char,4 >'),
  ('ZeroDCImageFilter', 'itk::ZeroDCImageFilter', 'itkZeroDCImageFilterIUS4', True, 'itk::Image< unsigned short,4 >'),
  ('ZeroDCImageFilter', 'itk::ZeroDCImageFilter', 'itkZeroDCImageFilterIF4', True, 'itk::Image< float,4 >'),
  ('ZeroDCImageFilter', 'itk::ZeroDCImageFilter', 'itkZeroDCImageFilterID4', True, 'itk::Image< double,4 >'),
)
